Debian Bug report logs - #610184
grub-pc: Bad handling of spare devices in RAID arrays ? "error: superfluous RAID member"

version graph

Package: grub-pc; Maintainer for grub-pc is GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>; Source for grub-pc is src:grub2.

Reported by: Vincent Danjean <vdanjean@debian.org>

Date: Sat, 15 Jan 2011 22:45:05 UTC

Severity: important

Tags: fixed-upstream

Merged with 620390

Found in versions grub2/1.99~rc1-13, grub2/1.98+20100804-14, grub2/1.98+20100804-13, grub2/1.99-9, grub2/1.99-6

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#610184; Package grub-pc. (Sat, 15 Jan 2011 22:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Danjean <vdanjean@debian.org>:
New Bug report received and forwarded. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sat, 15 Jan 2011 22:45:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Danjean <vdanjean@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: grub-pc: Bad handling of spare devices in RAID arrays ? "error: superfluous RAID member"
Date: Sat, 15 Jan 2011 23:43:34 +0100
Package: grub-pc
Version: 1.98+20100804-13
Severity: important

  I just upgraded grub2 from 1.98+20100804-11 to 1.98+20100804-13. I now see
lots of *error* messages (hence the important severity). I think this is due
to the fact that I have a spare device in one of my RAID arrays.
  Here is my RAID arrays (see the last one with a spare device) and after
the result of a "dpkg-reconfigure grub-pc".
I think that my config is normal and that grub should not display these
alarming messages.

aya:/tmp# mdadm --detail /dev/md12*
/dev/md125:
        Version : 1.0
  Creation Time : Sat Jun 19 18:31:46 2010
     Raid Level : raid1
     Array Size : 314572664 (300.00 GiB 322.12 GB)
  Used Dev Size : 314572664 (300.00 GiB 322.12 GB)
   Raid Devices : 2
  Total Devices : 2
    Persistence : Superblock is persistent

    Update Time : Sat Jan 15 23:42:09 2011
          State : clean
 Active Devices : 2
Working Devices : 2
 Failed Devices : 0
  Spare Devices : 0

           Name : aya:aya-raid1-A  (local to host aya)
           UUID : 5f3a2f67:1c803239:e0048917:e1c82439
         Events : 192

    Number   Major   Minor   RaidDevice State
       0       8        2        0      active sync   /dev/sda2
       1       8       37        1      active sync   /dev/sdc5
/dev/md126:
        Version : 1.0
  Creation Time : Fri May 28 14:16:58 2010
     Raid Level : raid6
     Array Size : 678717696 (647.28 GiB 695.01 GB)
  Used Dev Size : 226239232 (215.76 GiB 231.67 GB)
   Raid Devices : 5
  Total Devices : 5
    Persistence : Superblock is persistent

    Update Time : Sat Jan 15 23:39:08 2011
          State : clean
 Active Devices : 5
Working Devices : 5
 Failed Devices : 0
  Spare Devices : 0

         Layout : left-symmetric
     Chunk Size : 128K

           Name : aya:aya-raid6-A  (local to host aya)
           UUID : 7bd2abe6:75eec5ee:6947a43b:35537d48
         Events : 205

    Number   Major   Minor   RaidDevice State
       0       8        4        0      active sync   /dev/sda4
       1       8       18        1      active sync   /dev/sdb2
       2       8       36        2      active sync   /dev/sdc4
       3       8       50        3      active sync   /dev/sdd2
       4       8       66        4      active sync   /dev/sde2
/dev/md127:
        Version : 1.0
  Creation Time : Fri May 28 14:16:20 2010
     Raid Level : raid5
     Array Size : 786431232 (750.00 GiB 805.31 GB)
  Used Dev Size : 262143744 (250.00 GiB 268.44 GB)
   Raid Devices : 4
  Total Devices : 5
    Persistence : Superblock is persistent

    Update Time : Sat Jan 15 23:39:16 2011
          State : clean
 Active Devices : 4
Working Devices : 5
 Failed Devices : 0
  Spare Devices : 1

         Layout : left-symmetric
     Chunk Size : 128K

           Name : aya:aya-raid5-A  (local to host aya)
           UUID : 8e4ddef9:c340d68b:18f474bb:9645e764
         Events : 13614

    Number   Major   Minor   RaidDevice State
       0       8        3        0      active sync   /dev/sda3
       1       8       17        1      active sync   /dev/sdb1
       2       8       35        2      active sync   /dev/sdc3
       5       8       49        3      active sync   /dev/sdd1

       4       8       65        -      spare   /dev/sde1
aya:/tmp# dpkg-reconfigure grub-pc
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
Installation finished. No error reported.
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
Installation finished. No error reported.
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
Generating grub.cfg ...
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
Found background image: /usr/share/images/desktop-base/desktop-grub.png
error: superfluous RAID member (4 found).
Found linux image: /boot/vmlinuz-2.6.37-rc7-amd64
Found initrd image: /boot/initrd.img-2.6.37-rc7-amd64
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
Found linux image: /boot/vmlinuz-2.6.32-5-amd64
Found initrd image: /boot/initrd.img-2.6.32-5-amd64
error: superfluous RAID member (4 found).
Found memtest86 image: /memtest86.bin
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
Found memtest86+ image: /memtest86+.bin
Found memtest86+ multiboot image: /memtest86+_multiboot.bin
done
aya:/tmp# 

  Regards,
    Vincent

-- Package-specific info:

*********************** BEGIN /proc/mounts
/dev/mapper/aya+raid1-root / ext4 rw,relatime,errors=remount-ro,barrier=1,stripe=96,data=ordered 0 0
/dev/sdc2 /boot ext4 rw,relatime,barrier=1,stripe=96,data=ordered 0 0
/dev/mapper/aya+raid6-photos /srv/photos ext4 rw,relatime,barrier=1,stripe=96,data=ordered 0 0
/dev/mapper/aya+raid1-kvm /srv/kvm ext4 rw,relatime,barrier=1,stripe=96,data=ordered 0 0
/dev/mapper/aya+raid6-chenin /srv/chenin ext4 rw,relatime,barrier=1,stripe=96,data=ordered 0 0
/dev/mapper/aya+raid5-backuppc /srv/backuppc ext4 rw,relatime,barrier=1,stripe=96,data=ordered 0 0
/dev/mapper/aya+raid6-archives /srv/archives ext4 rw,relatime,barrier=1,stripe=96,data=ordered 0 0
/dev/mapper/aya+raid5-multimedia /srv/multimedia ext4 rw,relatime,acl,barrier=1,stripe=96,data=ordered 0 0
/dev/mapper/aya+raid6-photos /var/lib/piwigo/web/galleries ext4 ro,relatime,barrier=1,stripe=96,data=ordered 0 0
*********************** END /proc/mounts

*********************** BEGIN /boot/grub/device.map
(hd0)	/dev/disk/by-id/ata-WDC_WD3000JB-00KFA0_WD-WCAMR1302011
(hd1)	/dev/disk/by-id/ata-WDC_WD15EARS-00Z5B1_WD-WMAVU2909663
(hd2)	/dev/disk/by-id/ata-Hitachi_HDP725050GLA360_GEC534RF2KYP6E
(hd3)	/dev/disk/by-id/ata-WDC_WD15EARS-00Z5B1_WD-WMAVU2984608
(hd4)	/dev/disk/by-id/ata-Hitachi_HDP725050GLA360_GEC534RF2L4R9E
(hd5)	/dev/disk/by-id/ata-Hitachi_HDP725050GLA360_GEC534RF2KYN4E
*********************** END /boot/grub/device.map

*********************** BEGIN /boot/grub/grub.cfg
#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by grub-mkconfig using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
if [ -s $prefix/grubenv ]; then
  load_env
fi
set default="0"
if [ "${prev_saved_entry}" ]; then
  set saved_entry="${prev_saved_entry}"
  save_env saved_entry
  set prev_saved_entry=
  save_env prev_saved_entry
  set boot_once=true
fi

function savedefault {
  if [ -z "${boot_once}" ]; then
    saved_entry="${chosen}"
    save_env saved_entry
  fi
}

function load_video {
  insmod vbe
  insmod vga
  insmod video_bochs
  insmod video_cirrus
}

insmod raid
insmod mdraid
insmod lvm
insmod part_gpt
insmod part_gpt
insmod ext2
set root='(aya+raid1-root)'
search --no-floppy --fs-uuid --set 7646047d-86ec-4fef-9813-64499bded639
if loadfont /usr/share/grub/unicode.pf2 ; then
  set gfxmode=640x480
  load_video
  insmod gfxterm
fi
terminal_output gfxterm
insmod part_gpt
insmod ext2
set root='(hd3,gpt2)'
search --no-floppy --fs-uuid --set f6feecea-3958-4cba-abbe-3ff46646d4dd
set locale_dir=($root)/grub/locale
set lang=fr
insmod gettext
set timeout=5
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/05_debian_theme ###
insmod raid
insmod mdraid
insmod lvm
insmod part_gpt
insmod part_gpt
insmod ext2
set root='(aya+raid1-root)'
search --no-floppy --fs-uuid --set 7646047d-86ec-4fef-9813-64499bded639
insmod png
if background_image /usr/share/images/desktop-base/spacefun-grub.png; then
  set color_normal=light-gray/black
  set color_highlight=white/black
else
  set menu_color_normal=cyan/blue
  set menu_color_highlight=white/blue
fi
### END /etc/grub.d/05_debian_theme ###

### BEGIN /etc/grub.d/10_linux ###
menuentry 'Debian GNU/Linux, avec Linux 2.6.37-rc7-amd64' --class debian --class gnu-linux --class gnu --class os {
	insmod part_gpt
	insmod ext2
	set root='(hd3,gpt2)'
	search --no-floppy --fs-uuid --set f6feecea-3958-4cba-abbe-3ff46646d4dd
	echo	'Chargement de Linux 2.6.37-rc7-amd64 ...'
	linux	/vmlinuz-2.6.37-rc7-amd64 root=/dev/mapper/aya+raid1-root ro  quiet
	echo	'Chargement du disque mémoire initial ...'
	initrd	/initrd.img-2.6.37-rc7-amd64
}
menuentry 'Debian GNU/Linux, avec Linux 2.6.37-rc7-amd64 (mode de dépannage)' --class debian --class gnu-linux --class gnu --class os {
	insmod part_gpt
	insmod ext2
	set root='(hd3,gpt2)'
	search --no-floppy --fs-uuid --set f6feecea-3958-4cba-abbe-3ff46646d4dd
	echo	'Chargement de Linux 2.6.37-rc7-amd64 ...'
	linux	/vmlinuz-2.6.37-rc7-amd64 root=/dev/mapper/aya+raid1-root ro single 
	echo	'Chargement du disque mémoire initial ...'
	initrd	/initrd.img-2.6.37-rc7-amd64
}
menuentry 'Debian GNU/Linux, avec Linux 2.6.32-5-amd64' --class debian --class gnu-linux --class gnu --class os {
	insmod part_gpt
	insmod ext2
	set root='(hd3,gpt2)'
	search --no-floppy --fs-uuid --set f6feecea-3958-4cba-abbe-3ff46646d4dd
	echo	'Chargement de Linux 2.6.32-5-amd64 ...'
	linux	/vmlinuz-2.6.32-5-amd64 root=/dev/mapper/aya+raid1-root ro  quiet
	echo	'Chargement du disque mémoire initial ...'
	initrd	/initrd.img-2.6.32-5-amd64
}
menuentry 'Debian GNU/Linux, avec Linux 2.6.32-5-amd64 (mode de dépannage)' --class debian --class gnu-linux --class gnu --class os {
	insmod part_gpt
	insmod ext2
	set root='(hd3,gpt2)'
	search --no-floppy --fs-uuid --set f6feecea-3958-4cba-abbe-3ff46646d4dd
	echo	'Chargement de Linux 2.6.32-5-amd64 ...'
	linux	/vmlinuz-2.6.32-5-amd64 root=/dev/mapper/aya+raid1-root ro single 
	echo	'Chargement du disque mémoire initial ...'
	initrd	/initrd.img-2.6.32-5-amd64
}
### END /etc/grub.d/10_linux ###

### BEGIN /etc/grub.d/20_linux_xen ###
### END /etc/grub.d/20_linux_xen ###

### BEGIN /etc/grub.d/20_memtest86 ###
menuentry "Memory test (memtest86)" {
	linux16	/memtest86.bin
}
### END /etc/grub.d/20_memtest86 ###

### BEGIN /etc/grub.d/20_memtest86+ ###
menuentry "Memory test (memtest86+)" {
	insmod part_gpt
	insmod ext2
	set root='(hd3,gpt2)'
	search --no-floppy --fs-uuid --set f6feecea-3958-4cba-abbe-3ff46646d4dd
	linux16	/memtest86+.bin
}
menuentry "Memory test (memtest86+, serial console 115200)" {
	insmod part_gpt
	insmod ext2
	set root='(hd3,gpt2)'
	search --no-floppy --fs-uuid --set f6feecea-3958-4cba-abbe-3ff46646d4dd
	linux16	/memtest86+.bin console=ttyS0,115200n8
}
menuentry "Memory test (memtest86+, experimental multiboot)" {
	insmod part_gpt
	insmod ext2
	set root='(hd3,gpt2)'
	search --no-floppy --fs-uuid --set f6feecea-3958-4cba-abbe-3ff46646d4dd
	multiboot	/memtest86+_multiboot.bin
}
menuentry "Memory test (memtest86+, serial console 115200, experimental multiboot)" {
	insmod part_gpt
	insmod ext2
	set root='(hd3,gpt2)'
	search --no-floppy --fs-uuid --set f6feecea-3958-4cba-abbe-3ff46646d4dd
	multiboot	/memtest86+_multiboot.bin console=ttyS0,115200n8
}
### END /etc/grub.d/20_memtest86+ ###

### BEGIN /etc/grub.d/30_os-prober ###
### END /etc/grub.d/30_os-prober ###

### BEGIN /etc/grub.d/40_custom ###
# This file provides an easy way to add custom menu entries.  Simply type the
# menu entries you want to add after this comment.  Be careful not to change
# the 'exec tail' line above.
### END /etc/grub.d/40_custom ###

### BEGIN /etc/grub.d/41_custom ###
if [ -f  $prefix/custom.cfg ]; then
  source $prefix/custom.cfg;
fi
### END /etc/grub.d/41_custom ###
*********************** END /boot/grub/grub.cfg

-- System Information:
Debian Release: 6.0
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.37-rc7-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages grub-pc depends on:
ii  debconf [debconf-2.0]   1.5.36           Debian configuration management sy
ii  grub-common             1.98+20100804-13 GRand Unified Bootloader, version 
ii  libc6                   2.11.2-7         Embedded GNU C Library: Shared lib
ii  libdevmapper1.02.1      2:1.02.48-4      The Linux Kernel Device Mapper use
ii  ucf                     3.0025+nmu1      Update Configuration File: preserv

grub-pc recommends no packages.

Versions of packages grub-pc suggests:
ii  desktop-base                  6.0.5      common files for the Debian Deskto

-- debconf information:
  grub2/kfreebsd_cmdline:
* grub2/device_map_regenerated:
* grub2/linux_cmdline:
  grub-pc/install_devices_empty: false
* grub-pc/install_devices_failed: true
* grub-pc/chainload_from_menu.lst: true
  grub-pc/kopt_extracted: true
* grub-pc/install_devices: /dev/disk/by-id/ata-WDC_WD15EARS-00Z5B1_WD-WMAVU2909663, /dev/disk/by-id/ata-WDC_WD15EARS-00Z5B1_WD-WMAVU2984608
  grub-pc/postrm_purge_boot_grub: false
  grub-pc/install_devices_failed_upgrade: true
  grub-pc/disk_description:
  grub2/kfreebsd_cmdline_default: quiet
  grub-pc/partition_description:
* grub-pc/install_devices_disks_changed: /dev/disk/by-id/ata-WDC_WD15EARS-00Z5B1_WD-WMAVU2909663, /dev/disk/by-id/ata-WDC_WD15EARS-00Z5B1_WD-WMAVU2984608
* grub2/linux_cmdline_default: quiet
  grub-pc/mixed_legacy_and_grub2: true




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#610184; Package grub-pc. (Mon, 17 Jan 2011 19:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <aderobertis@metrics.net>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Mon, 17 Jan 2011 19:21:04 GMT) Full text and rfc822 format available.

Message #10 received at 610184@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <aderobertis@metrics.net>
To: 610184@bugs.debian.org
Subject: grub-pc: superfluous RAID member not just for spares
Date: Mon, 17 Jan 2011 13:53:01 -0500
Subject: grub-pc: superfluous RAID member not just for spares
Package: grub-pc
Version: 1.98+20100804-13

This machine doesn't have any spares; just a four-disk mirror for /boot (md0)
and a four-disk raid10 (md1) for everything else.

So, will this machine still boot, or do I need to downgrade grub? Previous
version did not spew errors.

root@Gond:~# update-grub
error: found two disks with the number 0.
error: found two disks with the number 0.
error: found two disks with the number 0.
error: superfluous RAID member (4 found).
error: found two disks with the number 0.
error: found two disks with the number 0.
error: found two disks with the number 0.
error: superfluous RAID member (4 found).
Generating grub.cfg ...
error: found two disks with the number 0.
error: found two disks with the number 0.
error: found two disks with the number 0.
error: superfluous RAID member (4 found).
error: found two disks with the number 0.
error: found two disks with the number 0.
error: found two disks with the number 0.
error: superfluous RAID member (4 found).
error: found two disks with the number 0.
error: found two disks with the number 0.
error: found two disks with the number 0.
error: superfluous RAID member (4 found).
error: found two disks with the number 0.
error: found two disks with the number 0.
error: found two disks with the number 0.
error: superfluous RAID member (4 found).
error: found two disks with the number 0.
error: found two disks with the number 0.
error: found two disks with the number 0.
error: superfluous RAID member (4 found).
Found linux image: /boot/vmlinuz-2.6.32-5-amd64
Found initrd image: /boot/initrd.img-2.6.32-5-amd64
error: found two disks with the number 0.
error: found two disks with the number 0.
error: found two disks with the number 0.
error: superfluous RAID member (4 found).
error: found two disks with the number 0.
error: found two disks with the number 0.
error: found two disks with the number 0.
error: superfluous RAID member (4 found).
error: found two disks with the number 0.
error: found two disks with the number 0.
error: found two disks with the number 0.
error: superfluous RAID member (4 found).
error: found two disks with the number 0.
error: found two disks with the number 0.
error: found two disks with the number 0.
error: superfluous RAID member (4 found).
Found memtest86 image: /memtest86.bin
error: found two disks with the number 0.
error: found two disks with the number 0.
error: found two disks with the number 0.
error: superfluous RAID member (4 found).
error: found two disks with the number 0.
error: found two disks with the number 0.
error: found two disks with the number 0.
error: superfluous RAID member (4 found).
error: found two disks with the number 0.
error: found two disks with the number 0.
error: found two disks with the number 0.
error: superfluous RAID member (4 found).
error: found two disks with the number 0.
error: found two disks with the number 0.
error: found two disks with the number 0.
error: superfluous RAID member (4 found).
Found memtest86+ image: /memtest86+.bin
Found memtest86+ multiboot image: /memtest86+_multiboot.bin
done


root@Gond:~# mdadm --detail /dev/md?
/dev/md0:
        Version : 0.90
  Creation Time : Thu Jul 15 16:45:22 2010
     Raid Level : raid1
     Array Size : 131008 (127.96 MiB 134.15 MB)
  Used Dev Size : 131008 (127.96 MiB 134.15 MB)
   Raid Devices : 4
  Total Devices : 4
Preferred Minor : 0
    Persistence : Superblock is persistent

    Update Time : Mon Jan 17 13:38:23 2011
          State : clean
 Active Devices : 4
Working Devices : 4
 Failed Devices : 0
  Spare Devices : 0

           UUID : bc14c534:3491db2e:d86e3031:849af764 (local to host Gond)
         Events : 0.246

    Number   Major   Minor   RaidDevice State
       0       8        1        0      active sync   /dev/sda1
       1       8       17        1      active sync   /dev/sdb1
       2       8       33        2      active sync   /dev/sdc1
       3       8       49        3      active sync   /dev/sdd1
/dev/md1:
        Version : 1.0
  Creation Time : Thu Jul 15 16:22:59 2010
     Raid Level : raid10
     Array Size : 976507904 (931.27 GiB 999.94 GB)
  Used Dev Size : 488253952 (465.64 GiB 499.97 GB)
   Raid Devices : 4
  Total Devices : 4
    Persistence : Superblock is persistent

  Intent Bitmap : Internal

    Update Time : Mon Jan 17 13:41:09 2011
          State : active
 Active Devices : 4
Working Devices : 4
 Failed Devices : 0
  Spare Devices : 0

         Layout : near=2
     Chunk Size : 512K

           Name : Gond:1  (local to host Gond)
           UUID : b5f3e4b3:7977c348:e22283fb:779d6e8f
         Events : 36368

    Number   Major   Minor   RaidDevice State
       0       8        2        0      active sync   /dev/sda2
       1       8       18        1      active sync   /dev/sdb2
       2       8       34        2      active sync   /dev/sdc2
       3       8       50        3      active sync   /dev/sdd2


root@Gond:~# mdadm -E /dev/sd?1 /dev/sd?2
/dev/sda1:
          Magic : a92b4efc
        Version : 0.90.00
           UUID : bc14c534:3491db2e:d86e3031:849af764 (local to host Gond)
  Creation Time : Thu Jul 15 16:45:22 2010
     Raid Level : raid1
  Used Dev Size : 131008 (127.96 MiB 134.15 MB)
     Array Size : 131008 (127.96 MiB 134.15 MB)
   Raid Devices : 4
  Total Devices : 4
Preferred Minor : 0

    Update Time : Mon Jan 17 13:42:39 2011
          State : clean
 Active Devices : 4
Working Devices : 4
 Failed Devices : 0
  Spare Devices : 0
       Checksum : 90511ac6 - correct
         Events : 246


      Number   Major   Minor   RaidDevice State
this     0       8        1        0      active sync   /dev/sda1

   0     0       8        1        0      active sync   /dev/sda1
   1     1       8       17        1      active sync   /dev/sdb1
   2     2       8       33        2      active sync   /dev/sdc1
   3     3       8       49        3      active sync   /dev/sdd1
/dev/sdb1:
          Magic : a92b4efc
        Version : 0.90.00
           UUID : bc14c534:3491db2e:d86e3031:849af764 (local to host Gond)
  Creation Time : Thu Jul 15 16:45:22 2010
     Raid Level : raid1
  Used Dev Size : 131008 (127.96 MiB 134.15 MB)
     Array Size : 131008 (127.96 MiB 134.15 MB)
   Raid Devices : 4
  Total Devices : 4
Preferred Minor : 0

    Update Time : Mon Jan 17 13:42:39 2011
          State : clean
 Active Devices : 4
Working Devices : 4
 Failed Devices : 0
  Spare Devices : 0
       Checksum : 90511ad8 - correct
         Events : 246


      Number   Major   Minor   RaidDevice State
this     1       8       17        1      active sync   /dev/sdb1

   0     0       8        1        0      active sync   /dev/sda1
   1     1       8       17        1      active sync   /dev/sdb1
   2     2       8       33        2      active sync   /dev/sdc1
   3     3       8       49        3      active sync   /dev/sdd1
/dev/sdc1:
          Magic : a92b4efc
        Version : 0.90.00
           UUID : bc14c534:3491db2e:d86e3031:849af764 (local to host Gond)
  Creation Time : Thu Jul 15 16:45:22 2010
     Raid Level : raid1
  Used Dev Size : 131008 (127.96 MiB 134.15 MB)
     Array Size : 131008 (127.96 MiB 134.15 MB)
   Raid Devices : 4
  Total Devices : 4
Preferred Minor : 0

    Update Time : Mon Jan 17 13:42:39 2011
          State : clean
 Active Devices : 4
Working Devices : 4
 Failed Devices : 0
  Spare Devices : 0
       Checksum : 90511aea - correct
         Events : 246


      Number   Major   Minor   RaidDevice State
this     2       8       33        2      active sync   /dev/sdc1

   0     0       8        1        0      active sync   /dev/sda1
   1     1       8       17        1      active sync   /dev/sdb1
   2     2       8       33        2      active sync   /dev/sdc1
   3     3       8       49        3      active sync   /dev/sdd1
/dev/sdd1:
          Magic : a92b4efc
        Version : 0.90.00
           UUID : bc14c534:3491db2e:d86e3031:849af764 (local to host Gond)
  Creation Time : Thu Jul 15 16:45:22 2010
     Raid Level : raid1
  Used Dev Size : 131008 (127.96 MiB 134.15 MB)
     Array Size : 131008 (127.96 MiB 134.15 MB)
   Raid Devices : 4
  Total Devices : 4
Preferred Minor : 0

    Update Time : Mon Jan 17 13:42:39 2011
          State : clean
 Active Devices : 4
Working Devices : 4
 Failed Devices : 0
  Spare Devices : 0
       Checksum : 90511afc - correct
         Events : 246


      Number   Major   Minor   RaidDevice State
this     3       8       49        3      active sync   /dev/sdd1

   0     0       8        1        0      active sync   /dev/sda1
   1     1       8       17        1      active sync   /dev/sdb1
   2     2       8       33        2      active sync   /dev/sdc1
   3     3       8       49        3      active sync   /dev/sdd1
/dev/sda2:
          Magic : a92b4efc
        Version : 1.0
    Feature Map : 0x1
     Array UUID : b5f3e4b3:7977c348:e22283fb:779d6e8f
           Name : Gond:1  (local to host Gond)
  Creation Time : Thu Jul 15 16:22:59 2010
     Raid Level : raid10
   Raid Devices : 4

 Avail Dev Size : 976508704 (465.64 GiB 499.97 GB)
     Array Size : 1953015808 (931.27 GiB 999.94 GB)
  Used Dev Size : 976507904 (465.64 GiB 499.97 GB)
   Super Offset : 976508960 sectors
          State : active
    Device UUID : f1e45770:2b06a5e6:283fc717:5bc7882e

Internal Bitmap : -8 sectors from superblock
    Update Time : Mon Jan 17 13:44:27 2011
       Checksum : 7a96a0b5 - correct
         Events : 36369

         Layout : near=2
     Chunk Size : 512K

   Device Role : Active device 0
   Array State : AAAA ('A' == active, '.' == missing)
/dev/sdb2:
          Magic : a92b4efc
        Version : 1.0
    Feature Map : 0x1
     Array UUID : b5f3e4b3:7977c348:e22283fb:779d6e8f
           Name : Gond:1  (local to host Gond)
  Creation Time : Thu Jul 15 16:22:59 2010
     Raid Level : raid10
   Raid Devices : 4

 Avail Dev Size : 976508704 (465.64 GiB 499.97 GB)
     Array Size : 1953015808 (931.27 GiB 999.94 GB)
  Used Dev Size : 976507904 (465.64 GiB 499.97 GB)
   Super Offset : 976508960 sectors
          State : active
    Device UUID : be335d60:ce81b0b7:546d7fe8:3d8348e2

Internal Bitmap : -8 sectors from superblock
    Update Time : Mon Jan 17 13:44:27 2011
       Checksum : c01f5535 - correct
         Events : 36369

         Layout : near=2
     Chunk Size : 512K

   Device Role : Active device 1
   Array State : AAAA ('A' == active, '.' == missing)
/dev/sdc2:
          Magic : a92b4efc
        Version : 1.0
    Feature Map : 0x1
     Array UUID : b5f3e4b3:7977c348:e22283fb:779d6e8f
           Name : Gond:1  (local to host Gond)
  Creation Time : Thu Jul 15 16:22:59 2010
     Raid Level : raid10
   Raid Devices : 4

 Avail Dev Size : 976508704 (465.64 GiB 499.97 GB)
     Array Size : 1953015808 (931.27 GiB 999.94 GB)
  Used Dev Size : 976507904 (465.64 GiB 499.97 GB)
   Super Offset : 976508960 sectors
          State : active
    Device UUID : 18aea233:5605abf9:d44fd50e:33796568

Internal Bitmap : -8 sectors from superblock
    Update Time : Mon Jan 17 13:44:27 2011
       Checksum : 81d22b8d - correct
         Events : 36369

         Layout : near=2
     Chunk Size : 512K

   Device Role : Active device 2
   Array State : AAAA ('A' == active, '.' == missing)
/dev/sdd2:
          Magic : a92b4efc
        Version : 1.0
    Feature Map : 0x1
     Array UUID : b5f3e4b3:7977c348:e22283fb:779d6e8f
           Name : Gond:1  (local to host Gond)
  Creation Time : Thu Jul 15 16:22:59 2010
     Raid Level : raid10
   Raid Devices : 4

 Avail Dev Size : 976508704 (465.64 GiB 499.97 GB)
     Array Size : 1953015808 (931.27 GiB 999.94 GB)
  Used Dev Size : 976507904 (465.64 GiB 499.97 GB)
   Super Offset : 976508960 sectors
          State : active
    Device UUID : 1ab244c0:7a531c4d:82c0fda1:48a2075d

Internal Bitmap : -8 sectors from superblock
    Update Time : Mon Jan 17 13:44:27 2011
       Checksum : e9b01777 - correct
         Events : 36369

         Layout : near=2
     Chunk Size : 512K

   Device Role : Active device 3
   Array State : AAAA ('A' == active, '.' == missing)



-- Package-specific info:

*********************** BEGIN /proc/mounts
/dev/mapper/Gond-root / ext4 rw,relatime,errors=remount-ro,user_xattr,barrier=1,stripe=256,data=ordered 0 0
/dev/md0 /boot ext2 rw,noatime,errors=continue 0 0
*********************** END /proc/mounts

*********************** BEGIN /boot/grub/device.map
(hd0)	/dev/disk/by-id/ata-ST3500514NS_9WJ032V5
(hd1)	/dev/disk/by-id/ata-ST3500514NS_9WJ03VL1
(hd2)	/dev/disk/by-id/ata-ST3500514NS_9WJ01X7Y
(hd3)	/dev/disk/by-id/ata-ST3500514NS_9WJ030NT
*********************** END /boot/grub/device.map

*********************** BEGIN /boot/grub/grub.cfg
#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by grub-mkconfig using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
if [ -s $prefix/grubenv ]; then
  load_env
fi
set default="0"
if [ "${prev_saved_entry}" ]; then
  set saved_entry="${prev_saved_entry}"
  save_env saved_entry
  set prev_saved_entry=
  save_env prev_saved_entry
  set boot_once=true
fi

function savedefault {
  if [ -z "${boot_once}" ]; then
    saved_entry="${chosen}"
    save_env saved_entry
  fi
}

function load_video {
  insmod vbe
  insmod vga
  insmod video_bochs
  insmod video_cirrus
}

insmod raid
insmod mdraid
insmod part_msdos
insmod part_msdos
insmod part_msdos
insmod part_msdos
insmod ext2
set root='(md0)'
search --no-floppy --fs-uuid --set 10038e74-db72-4b01-b055-37cbef66e604
set locale_dir=($root)/grub/locale
set lang=en
insmod gettext
set timeout=5
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/05_debian_theme ###
set menu_color_normal=cyan/blue
set menu_color_highlight=white/blue
### END /etc/grub.d/05_debian_theme ###

### BEGIN /etc/grub.d/10_linux ###
menuentry 'Debian GNU/Linux, with Linux 2.6.32-5-amd64' --class debian --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid
	insmod part_msdos
	insmod part_msdos
	insmod part_msdos
	insmod part_msdos
	insmod ext2
	set root='(md0)'
	search --no-floppy --fs-uuid --set 10038e74-db72-4b01-b055-37cbef66e604
	echo	'Loading Linux 2.6.32-5-amd64 ...'
	linux	/vmlinuz-2.6.32-5-amd64 root=/dev/mapper/Gond-root ro  
	echo	'Loading initial ramdisk ...'
	initrd	/initrd.img-2.6.32-5-amd64
}
menuentry 'Debian GNU/Linux, with Linux 2.6.32-5-amd64 (recovery mode)' --class debian --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid
	insmod part_msdos
	insmod part_msdos
	insmod part_msdos
	insmod part_msdos
	insmod ext2
	set root='(md0)'
	search --no-floppy --fs-uuid --set 10038e74-db72-4b01-b055-37cbef66e604
	echo	'Loading Linux 2.6.32-5-amd64 ...'
	linux	/vmlinuz-2.6.32-5-amd64 root=/dev/mapper/Gond-root ro single 
	echo	'Loading initial ramdisk ...'
	initrd	/initrd.img-2.6.32-5-amd64
}
### END /etc/grub.d/10_linux ###

### BEGIN /etc/grub.d/20_linux_xen ###
### END /etc/grub.d/20_linux_xen ###

### BEGIN /etc/grub.d/20_memtest86 ###
menuentry "Memory test (memtest86)" {
	linux16	/memtest86.bin
}
### END /etc/grub.d/20_memtest86 ###

### BEGIN /etc/grub.d/20_memtest86+ ###
menuentry "Memory test (memtest86+)" {
	insmod raid
	insmod mdraid
	insmod part_msdos
	insmod part_msdos
	insmod part_msdos
	insmod part_msdos
	insmod ext2
	set root='(md0)'
	search --no-floppy --fs-uuid --set 10038e74-db72-4b01-b055-37cbef66e604
	linux16	/memtest86+.bin
}
menuentry "Memory test (memtest86+, serial console 115200)" {
	insmod raid
	insmod mdraid
	insmod part_msdos
	insmod part_msdos
	insmod part_msdos
	insmod part_msdos
	insmod ext2
	set root='(md0)'
	search --no-floppy --fs-uuid --set 10038e74-db72-4b01-b055-37cbef66e604
	linux16	/memtest86+.bin console=ttyS0,115200n8
}
menuentry "Memory test (memtest86+, experimental multiboot)" {
	insmod raid
	insmod mdraid
	insmod part_msdos
	insmod part_msdos
	insmod part_msdos
	insmod part_msdos
	insmod ext2
	set root='(md0)'
	search --no-floppy --fs-uuid --set 10038e74-db72-4b01-b055-37cbef66e604
	multiboot	/memtest86+_multiboot.bin
}
menuentry "Memory test (memtest86+, serial console 115200, experimental multiboot)" {
	insmod raid
	insmod mdraid
	insmod part_msdos
	insmod part_msdos
	insmod part_msdos
	insmod part_msdos
	insmod ext2
	set root='(md0)'
	search --no-floppy --fs-uuid --set 10038e74-db72-4b01-b055-37cbef66e604
	multiboot	/memtest86+_multiboot.bin console=ttyS0,115200n8
}
### END /etc/grub.d/20_memtest86+ ###

### BEGIN /etc/grub.d/30_os-prober ###
### END /etc/grub.d/30_os-prober ###

### BEGIN /etc/grub.d/40_custom ###
# This file provides an easy way to add custom menu entries.  Simply type the
# menu entries you want to add after this comment.  Be careful not to change
# the 'exec tail' line above.
### END /etc/grub.d/40_custom ###

### BEGIN /etc/grub.d/41_custom ###
if [ -f  $prefix/custom.cfg ]; then
  source $prefix/custom.cfg;
fi
### END /etc/grub.d/41_custom ###
*********************** END /boot/grub/grub.cfg

-- System Information:
Debian Release: 6.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages grub-pc depends on:
ii  debconf [debconf-2.0]   1.5.37           Debian configuration management sy
ii  grub-common             1.98+20100804-13 GRand Unified Bootloader, version 
ii  libc6                   2.11.2-7         Embedded GNU C Library: Shared lib
ii  libdevmapper1.02.1      2:1.02.48-4      The Linux Kernel Device Mapper use
ii  ucf                     3.0025+nmu1      Update Configuration File: preserv

grub-pc recommends no packages.

Versions of packages grub-pc suggests:
pn  desktop-base                       (no description available)

-- debconf information:
  grub-pc/kopt_extracted: false
  grub2/kfreebsd_cmdline:
* grub2/device_map_regenerated:
* grub-pc/install_devices: /dev/disk/by-id/ata-ST3500514NS_9WJ032V5, /dev/disk/by-id/ata-ST3500514NS_9WJ03VL1, /dev/disk/by-id/ata-ST3500514NS_9WJ01X7Y, /dev/disk/by-id/ata-ST3500514NS_9WJ030NT
  grub-pc/postrm_purge_boot_grub: false
  grub-pc/install_devices_failed_upgrade: true
  grub-pc/disk_description:
* grub2/linux_cmdline:
  grub-pc/install_devices_empty: true
  grub2/kfreebsd_cmdline_default: quiet
  grub-pc/partition_description:
  grub-pc/install_devices_failed: false
* grub-pc/install_devices_disks_changed: /dev/disk/by-id/ata-ST3500514NS_9WJ032V5, /dev/disk/by-id/ata-ST3500514NS_9WJ03VL1, /dev/disk/by-id/ata-ST3500514NS_9WJ01X7Y, /dev/disk/by-id/ata-ST3500514NS_9WJ030NT
* grub2/linux_cmdline_default:
  grub-pc/chainload_from_menu.lst: true
  grub-pc/mixed_legacy_and_grub2: true





Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#610184; Package grub-pc. (Mon, 17 Jan 2011 22:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <aderobertis@metrics.net>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Mon, 17 Jan 2011 22:03:03 GMT) Full text and rfc822 format available.

Message #15 received at 610184@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <aderobertis@metrics.net>
To: 610184@bugs.debian.org
Subject: Some debugging of superfluous RAID member
Date: Mon, 17 Jan 2011 17:01:06 -0500
First off, DEB_BUILD_OPTIONS nostrip,noopt does not work right.
Grub-probe is never build with -g -O0. Hacked up ./debian/rules a little
to force it (added CFLAGS='-g -O0' to confflags). Also, removed most of
the packages from debian/control so I wouldn't have to wait through N
flavors of grub building.

I'm comparing grub-probe --target=device / on two machines with very
similar RAID configs (both RAID1 /boot, 4 disks, no spares & RAID10
everything else (via lvm) with 4 disks, no spares).

The difference seems to be than on the machine with the errors,
grub_mdraid_detect on hd0 returns GRUB_ERR_NONE, whereas on the other
machine it returns GRUB_ERR_OUT_OF_RANGE. This is because it found the
version 1.0 superblock actually belonging to /dev/sda2 when looking for
the one for /dev/sda.

I suppose the alignment just doesn't work out on the other machine.

"Gond" is the machine that shows errors. "Zia" is the one that does not.

Zia:

    root@Zia:/home/anthony# sfdisk -d /dev/sda
    # partition table of /dev/sda
    unit: sectors

    /dev/sda1 : start=       63, size=   256977, Id=fd, bootable
    /dev/sda2 : start=   257040, size=   257040, Id= c
    /dev/sda3 : start=   514080, size=1953005985, Id=fd
    /dev/sda4 : start=        0, size=        0, Id= 0

    (gdb) p sector
    $18 = 1953525152
    (gdb) n
    401           if (grub_disk_read (disk, sector, 0, sizeof (struct grub_raid_super_1x),
    (gdb) n
    405           if (sb_1x.magic == SB_MAGIC)
    (gdb) p sb_1x
    $19 = {magic = 0, major_version = 0, feature_map = 0, pad0 = 0, 
      set_uuid = '\000' <repeats 15 times>, set_name = '\000' <repeats 31 times>, ctime = 0, 
      level = 0, layout = 0, size = 0, chunksize = 0, raid_disks = 0, bitmap_offset = 0, 
      new_level = 0, reshape_position = 0, delta_disks = 0, new_layout = 0, new_chunk = 0, 
      pad1 = "\000\000\000", data_offset = 0, data_size = 0, super_offset = 0, recovery_offset = 0, 
      dev_number = 0, cnt_corrected_read = 0, device_uuid = '\000' <repeats 15 times>, 
      devflags = 0 '\000', pad2 = "\000\000\000\000\000\000", utime = 0, events = 0, 
      resync_offset = 0, sb_csum = 0, max_dev = 0, pad3 = '\000' <repeats 31 times>, 
      dev_roles = 0x7fffffffcc90}
    (gdb) p *disk
    $20 = {name = 0x671090 "hd0", dev = 0x6425c0, total_sectors = 1953525168, has_partitions = 1, 
      id = 0, partition = 0x0, read_hook = 0, data = 0x6763b0}
      

And Gond:

    root@Gond:~# sfdisk -d /dev/sda
    # partition table of /dev/sda
    unit: sectors

    /dev/sda1 : start=     2048, size=   262144, Id=fd, bootable
    /dev/sda2 : start=   264192, size=976508976, Id=fd
    /dev/sda3 : start=        0, size=        0, Id= 0
    /dev/sda4 : start=        0, size=        0, Id= 0


    (gdb) p sector
    $10 = 976773152
    (gdb) n
    401           if (grub_disk_read (disk, sector, 0, sizeof (struct grub_raid_super_1x),
    (gdb) n
    405           if (sb_1x.magic == SB_MAGIC)
    (gdb) p sb_1x
    $11 = {magic = 2838187772, major_version = 1, feature_map = 1, pad0 = 0, 
      set_uuid = "\265\363\344\263yw\303H\342\"\203\373w\235n\217", 
      set_name = "Gond:1", '\000' <repeats 25 times>, ctime = 1279225379, level = 10, layout = 258, 
      size = 976507904, chunksize = 1024, raid_disks = 4, bitmap_offset = 4294967288, new_level = 0, 
      reshape_position = 0, delta_disks = 0, new_layout = 0, new_chunk = 0, pad1 = "\000\000\000", 
      data_offset = 0, data_size = 976508704, super_offset = 976508960, recovery_offset = 0, 
      dev_number = 0, cnt_corrected_read = 0, device_uuid = "\361\344Wp+\006\245\346(?\307\027[Lj.", 
      devflags = 0 '\000', pad2 = "\000\000\000\000\000\000", utime = 1295300868, events = 36368, 
      resync_offset = 18446744073709551615, sb_csum = 2056702893, max_dev = 384, 
      pad3 = '\000' <repeats 31 times>, dev_roles = 0x7fffffffd840}
    (gdb) p *disk
    $13 = {name = 0x671090 "hd0", dev = 0x6425c0, total_sectors = 976773168, has_partitions = 1, 
      id = 0, partition = 0x0, read_hook = 0, data = 0x6710b0}
      

So, this bug has probably been present for a while, but maybe didn't
matter until the recent error checks?

Somehow there is a way around this, as it doesn't confuse mdadm -E:

    root@Gond:~# mdadm -E /dev/sda
    mdadm: No md superblock detected on /dev/sda.
      

So, it can be fixed... One thing that quickly jumps out at me, is maybe
have grub_mdraid_detect check if sector == sb_1x.super_offset.

I can work up a patch to do that if you'd like.




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#610184; Package grub-pc. (Tue, 18 Jan 2011 18:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <anthony@derobert.net>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Tue, 18 Jan 2011 18:51:03 GMT) Full text and rfc822 format available.

Message #20 received at 610184@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <anthony@derobert.net>
To: Debian Bug Tracking System <610184@bugs.debian.org>
Subject: Patch for v1 superblock misdetection
Date: Tue, 18 Jan 2011 13:27:59 -0500
[Message part 1 (text/plain, inline)]
Package: grub-pc
Version: 1.98+20100804-13
Severity: normal

Attached is a patch. I have installed this patched grub on the machine
that was having errors, and it quieted the errors. Haven't tried booting
yet...

-- Package-specific info:

*********************** BEGIN /proc/mounts
/dev/mapper/Zia-root / ext4 rw,relatime,errors=remount-ro,user_xattr,barrier=1,data=ordered 0 0
/dev/md0 /boot ext2 rw,noatime,errors=continue 0 0
/dev/mapper/Zia-home /home ext4 rw,relatime,user_xattr,barrier=1,data=ordered 0 0
/dev/mapper/Zia-srv /srv ext4 rw,relatime,user_xattr,barrier=1,data=ordered 0 0
/dev/sdb2 /xfer/2 vfat rw,relatime,gid=25,fmask=0117,dmask=0007,allow_utime=0020,codepage=cp437,iocharset=utf8,shortname=mixed,utf8,errors=remount-ro 0 0
/dev/sdc2 /xfer/3 vfat rw,relatime,gid=25,fmask=0117,dmask=0007,allow_utime=0020,codepage=cp437,iocharset=utf8,shortname=mixed,utf8,errors=remount-ro 0 0
/dev/sdd2 /xfer/4 vfat rw,relatime,gid=25,fmask=0117,dmask=0007,allow_utime=0020,codepage=cp437,iocharset=utf8,shortname=mixed,utf8,errors=remount-ro 0 0
*********************** END /proc/mounts

*********************** BEGIN /boot/grub/device.map
(hd0)	/dev/disk/by-id/ata-ST31000528AS_9VP4GHAG
(hd1)	/dev/disk/by-id/ata-ST31000528AS_9VP4KGH6
(hd2)	/dev/disk/by-id/ata-ST31000528AS_9VP4S76X
(hd3)	/dev/disk/by-id/ata-ST31000528AS_9VP4Y27P
(hd4)	/dev/disk/by-id/md-name-Zia:pv0
(hd5)	/dev/disk/by-id/md-uuid-a1b8efea:2114fd99:28a5f279:815d333e
*********************** END /boot/grub/device.map

*********************** BEGIN /boot/grub/grub.cfg
#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by grub-mkconfig using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
if [ -s $prefix/grubenv ]; then
  load_env
fi
set default="0"
if [ "${prev_saved_entry}" ]; then
  set saved_entry="${prev_saved_entry}"
  save_env saved_entry
  set prev_saved_entry=
  save_env prev_saved_entry
  set boot_once=true
fi

function savedefault {
  if [ -z "${boot_once}" ]; then
    saved_entry="${chosen}"
    save_env saved_entry
  fi
}

function load_video {
  insmod vbe
  insmod vga
  insmod video_bochs
  insmod video_cirrus
}

insmod raid
insmod mdraid
insmod lvm
insmod part_msdos
insmod part_msdos
insmod part_msdos
insmod ext2
set root='(Zia-root)'
search --no-floppy --fs-uuid --set a121fba0-0471-426f-9ef6-dc88d0807d52
if loadfont /usr/share/grub/unicode.pf2 ; then
  set gfxmode=1600x1200
  load_video
  insmod gfxterm
fi
terminal_output gfxterm
insmod raid
insmod mdraid
insmod part_msdos
insmod part_msdos
insmod part_msdos
insmod ext2
set root='(md0)'
search --no-floppy --fs-uuid --set 187cd07e-1407-4120-ab17-b69c82bf2ffd
set locale_dir=($root)/grub/locale
set lang=en
insmod gettext
set timeout=5
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/04_zia_theme ###
insmod raid
insmod mdraid
insmod part_msdos
insmod part_msdos
insmod part_msdos
insmod ext2
set root='(md0)'
search --no-floppy --fs-uuid --set 187cd07e-1407-4120-ab17-b69c82bf2ffd
insmod png
if background_image /grub/splash1600.png ; then
  set color_normal=yellow/black
  set color_highlight=white/red
fi
### END /etc/grub.d/04_zia_theme ###

### BEGIN /etc/grub.d/05_debian_theme ###
### END /etc/grub.d/05_debian_theme ###

### BEGIN /etc/grub.d/10_linux ###
menuentry 'Debian GNU/Linux, with Linux 2.6.37-trunk-amd64' --class debian --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid
	insmod part_msdos
	insmod part_msdos
	insmod part_msdos
	insmod ext2
	set root='(md0)'
	search --no-floppy --fs-uuid --set 187cd07e-1407-4120-ab17-b69c82bf2ffd
	echo	'Loading Linux 2.6.37-trunk-amd64 ...'
	linux	/vmlinuz-2.6.37-trunk-amd64 root=/dev/mapper/Zia-root ro  verbose
	echo	'Loading initial ramdisk ...'
	initrd	/initrd.img-2.6.37-trunk-amd64
}
menuentry 'Debian GNU/Linux, with Linux 2.6.37-trunk-amd64 (recovery mode)' --class debian --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid
	insmod part_msdos
	insmod part_msdos
	insmod part_msdos
	insmod ext2
	set root='(md0)'
	search --no-floppy --fs-uuid --set 187cd07e-1407-4120-ab17-b69c82bf2ffd
	echo	'Loading Linux 2.6.37-trunk-amd64 ...'
	linux	/vmlinuz-2.6.37-trunk-amd64 root=/dev/mapper/Zia-root ro single 
	echo	'Loading initial ramdisk ...'
	initrd	/initrd.img-2.6.37-trunk-amd64
}
menuentry 'Debian GNU/Linux, with Linux 2.6.36-trunk-amd64' --class debian --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid
	insmod part_msdos
	insmod part_msdos
	insmod part_msdos
	insmod ext2
	set root='(md0)'
	search --no-floppy --fs-uuid --set 187cd07e-1407-4120-ab17-b69c82bf2ffd
	echo	'Loading Linux 2.6.36-trunk-amd64 ...'
	linux	/vmlinuz-2.6.36-trunk-amd64 root=/dev/mapper/Zia-root ro  verbose
	echo	'Loading initial ramdisk ...'
	initrd	/initrd.img-2.6.36-trunk-amd64
}
menuentry 'Debian GNU/Linux, with Linux 2.6.36-trunk-amd64 (recovery mode)' --class debian --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid
	insmod part_msdos
	insmod part_msdos
	insmod part_msdos
	insmod ext2
	set root='(md0)'
	search --no-floppy --fs-uuid --set 187cd07e-1407-4120-ab17-b69c82bf2ffd
	echo	'Loading Linux 2.6.36-trunk-amd64 ...'
	linux	/vmlinuz-2.6.36-trunk-amd64 root=/dev/mapper/Zia-root ro single 
	echo	'Loading initial ramdisk ...'
	initrd	/initrd.img-2.6.36-trunk-amd64
}
menuentry 'Debian GNU/Linux, with Linux 2.6.32-5-amd64' --class debian --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid
	insmod part_msdos
	insmod part_msdos
	insmod part_msdos
	insmod ext2
	set root='(md0)'
	search --no-floppy --fs-uuid --set 187cd07e-1407-4120-ab17-b69c82bf2ffd
	echo	'Loading Linux 2.6.32-5-amd64 ...'
	linux	/vmlinuz-2.6.32-5-amd64 root=/dev/mapper/Zia-root ro  verbose
	echo	'Loading initial ramdisk ...'
	initrd	/initrd.img-2.6.32-5-amd64
}
menuentry 'Debian GNU/Linux, with Linux 2.6.32-5-amd64 (recovery mode)' --class debian --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid
	insmod part_msdos
	insmod part_msdos
	insmod part_msdos
	insmod ext2
	set root='(md0)'
	search --no-floppy --fs-uuid --set 187cd07e-1407-4120-ab17-b69c82bf2ffd
	echo	'Loading Linux 2.6.32-5-amd64 ...'
	linux	/vmlinuz-2.6.32-5-amd64 root=/dev/mapper/Zia-root ro single 
	echo	'Loading initial ramdisk ...'
	initrd	/initrd.img-2.6.32-5-amd64
}
### END /etc/grub.d/10_linux ###

### BEGIN /etc/grub.d/20_linux_xen ###
### END /etc/grub.d/20_linux_xen ###

### BEGIN /etc/grub.d/20_memtest86 ###
menuentry "Memory test (memtest86)" {
	linux16	/memtest86.bin
}
### END /etc/grub.d/20_memtest86 ###

### BEGIN /etc/grub.d/20_memtest86+ ###
menuentry "Memory test (memtest86+)" {
	insmod raid
	insmod mdraid
	insmod part_msdos
	insmod part_msdos
	insmod part_msdos
	insmod ext2
	set root='(md0)'
	search --no-floppy --fs-uuid --set 187cd07e-1407-4120-ab17-b69c82bf2ffd
	linux16	/memtest86+.bin
}
menuentry "Memory test (memtest86+, serial console 115200)" {
	insmod raid
	insmod mdraid
	insmod part_msdos
	insmod part_msdos
	insmod part_msdos
	insmod ext2
	set root='(md0)'
	search --no-floppy --fs-uuid --set 187cd07e-1407-4120-ab17-b69c82bf2ffd
	linux16	/memtest86+.bin console=ttyS0,115200n8
}
menuentry "Memory test (memtest86+, experimental multiboot)" {
	insmod raid
	insmod mdraid
	insmod part_msdos
	insmod part_msdos
	insmod part_msdos
	insmod ext2
	set root='(md0)'
	search --no-floppy --fs-uuid --set 187cd07e-1407-4120-ab17-b69c82bf2ffd
	multiboot	/memtest86+_multiboot.bin
}
menuentry "Memory test (memtest86+, serial console 115200, experimental multiboot)" {
	insmod raid
	insmod mdraid
	insmod part_msdos
	insmod part_msdos
	insmod part_msdos
	insmod ext2
	set root='(md0)'
	search --no-floppy --fs-uuid --set 187cd07e-1407-4120-ab17-b69c82bf2ffd
	multiboot	/memtest86+_multiboot.bin console=ttyS0,115200n8
}
### END /etc/grub.d/20_memtest86+ ###

### BEGIN /etc/grub.d/30_os-prober ###
### END /etc/grub.d/30_os-prober ###

### BEGIN /etc/grub.d/40_custom ###
# This file provides an easy way to add custom menu entries.  Simply type the
# menu entries you want to add after this comment.  Be careful not to change
# the 'exec tail' line above.
### END /etc/grub.d/40_custom ###

### BEGIN /etc/grub.d/41_custom ###
if [ -f  $prefix/custom.cfg ]; then
  source $prefix/custom.cfg;
fi
### END /etc/grub.d/41_custom ###
*********************** END /boot/grub/grub.cfg

-- System Information:
Debian Release: 6.0
  APT prefers testing
  APT policy: (500, 'testing'), (200, 'unstable'), (100, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.37-trunk-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages grub-pc depends on:
ii  debconf [debconf-2.0]   1.5.36           Debian configuration management sy
ii  grub-common             1.98+20100804-13 GRand Unified Bootloader, version 
ii  libc6                   2.11.2-7         Embedded GNU C Library: Shared lib
ii  libdevmapper1.02.1      2:1.02.48-4      The Linux Kernel Device Mapper use
ii  ucf                     3.0025+nmu1      Update Configuration File: preserv

grub-pc recommends no packages.

Versions of packages grub-pc suggests:
ii  desktop-base                  6.0.5      common files for the Debian Deskto

-- Configuration Files:
/etc/grub.d/05_debian_theme changed [not included]

-- debconf information excluded
[ignore-wrong-superblocks.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#610184; Package grub-pc. (Sat, 22 Jan 2011 14:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sat, 22 Jan 2011 14:24:02 GMT) Full text and rfc822 format available.

Message #25 received at 610184@bugs.debian.org (full text, mbox):

From: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>
To: Anthony DeRobertis <anthony@derobert.net>, 610184@bugs.debian.org
Subject: Re: Bug#610184: Patch for v1 superblock misdetection
Date: Sat, 22 Jan 2011 15:20:33 +0100
[Message part 1 (text/plain, inline)]
On 01/18/2011 07:27 PM, Anthony DeRobertis wrote:
> Package: grub-pc
> Version: 1.98+20100804-13
> Severity: normal
>
> Attached is a patch. I have installed this patched grub on the machine
> that was having errors, and it quieted the errors. Haven't tried booting
> yet...
>
>   
Patch applied upstream other than adding the missing endianness handling

-- 
Regards
Vladimir 'φ-coder/phcoder' Serbinenko


[signature.asc (application/pgp-signature, attachment)]

Merged 610184 620390. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Fri, 01 Apr 2011 17:21:03 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com> to control@bugs.debian.org. (Sat, 02 Apr 2011 00:36:02 GMT) Full text and rfc822 format available.

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Sat, 09 Apr 2011 10:36:12 GMT) Full text and rfc822 format available.

Notification sent to Vincent Danjean <vdanjean@debian.org>:
Bug acknowledged by developer. (Sat, 09 Apr 2011 10:36:35 GMT) Full text and rfc822 format available.

Message #34 received at 610184-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 610184-close@bugs.debian.org
Subject: Bug#610184: fixed in grub2 1.99~rc1-9
Date: Sat, 09 Apr 2011 10:32:49 +0000
Source: grub2
Source-Version: 1.99~rc1-9

We believe that the bug you reported is fixed in the latest version of
grub2, which is due to be installed in the Debian FTP archive:

grub-common_1.99~rc1-9_i386.deb
  to main/g/grub2/grub-common_1.99~rc1-9_i386.deb
grub-coreboot_1.99~rc1-9_i386.deb
  to main/g/grub2/grub-coreboot_1.99~rc1-9_i386.deb
grub-efi-amd64_1.99~rc1-9_i386.deb
  to main/g/grub2/grub-efi-amd64_1.99~rc1-9_i386.deb
grub-efi-ia32_1.99~rc1-9_i386.deb
  to main/g/grub2/grub-efi-ia32_1.99~rc1-9_i386.deb
grub-efi_1.99~rc1-9_i386.deb
  to main/g/grub2/grub-efi_1.99~rc1-9_i386.deb
grub-emu_1.99~rc1-9_i386.deb
  to main/g/grub2/grub-emu_1.99~rc1-9_i386.deb
grub-firmware-qemu_1.99~rc1-9_i386.deb
  to main/g/grub2/grub-firmware-qemu_1.99~rc1-9_i386.deb
grub-ieee1275_1.99~rc1-9_i386.deb
  to main/g/grub2/grub-ieee1275_1.99~rc1-9_i386.deb
grub-linuxbios_1.99~rc1-9_i386.deb
  to main/g/grub2/grub-linuxbios_1.99~rc1-9_i386.deb
grub-pc_1.99~rc1-9_i386.deb
  to main/g/grub2/grub-pc_1.99~rc1-9_i386.deb
grub-rescue-pc_1.99~rc1-9_i386.deb
  to main/g/grub2/grub-rescue-pc_1.99~rc1-9_i386.deb
grub2_1.99~rc1-9.diff.gz
  to main/g/grub2/grub2_1.99~rc1-9.diff.gz
grub2_1.99~rc1-9.dsc
  to main/g/grub2/grub2_1.99~rc1-9.dsc
grub2_1.99~rc1-9_i386.deb
  to main/g/grub2/grub2_1.99~rc1-9_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 610184@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated grub2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 09 Apr 2011 03:39:56 +0100
Source: grub2
Binary: grub2 grub-linuxbios grub-efi grub-common grub-emu grub-pc grub-rescue-pc grub-coreboot grub-efi-ia32 grub-efi-amd64 grub-ieee1275 grub-firmware-qemu grub-yeeloong
Architecture: source i386
Version: 1.99~rc1-9
Distribution: unstable
Urgency: low
Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 grub-common - GRand Unified Bootloader, version 2 (common files)
 grub-coreboot - GRand Unified Bootloader, version 2 (Coreboot version)
 grub-efi   - GRand Unified Bootloader, version 2 (dummy package)
 grub-efi-amd64 - GRand Unified Bootloader, version 2 (EFI-AMD64 version)
 grub-efi-ia32 - GRand Unified Bootloader, version 2 (EFI-IA32 version)
 grub-emu   - GRand Unified Bootloader, version 2 (emulated version)
 grub-firmware-qemu - GRUB firmware image for QEMU
 grub-ieee1275 - GRand Unified Bootloader, version 2 (Open Firmware version)
 grub-linuxbios - GRand Unified Bootloader, version 2 (dummy package)
 grub-pc    - GRand Unified Bootloader, version 2 (PC/BIOS version)
 grub-rescue-pc - GRUB bootable rescue images, version 2 (PC/BIOS version)
 grub-yeeloong - GRand Unified Bootloader, version 2 (Yeeloong version)
 grub2      - GRand Unified Bootloader, version 2 (dummy package)
Closes: 610184 613120 620420 620663
Changes: 
 grub2 (1.99~rc1-9) unstable; urgency=low
 .
   * Update branch_parse-color.patch, to blend text when any background is
     set as opposed to only when a stretched background is set (closes:
     #613120).
   * Make update-grub2 a symlink to update-grub, rather than bothering with a
     wrapper script.
   * Cherry-pick from upstream:
     - Check RAID superblock offset (closes: #610184).
     - Flush buffer cache on close and not on open (closes: #620663).
     - Handle special naming of yeeloong directory (closes: #620420).
   * Add grub-mount utility, from the upstream 'fuse' branch.
   * efibootmgr is only available on Linux architectures, so only make
     grub-efi-ia32 and grub-efi-amd64 depend on it on Linux.
Checksums-Sha1: 
 3a4322369cc6020109e40f7dc55f4a276b4413fc 2969 grub2_1.99~rc1-9.dsc
 888a1aa588c6eafd87d836ff52a7e16c18774a87 605210 grub2_1.99~rc1-9.diff.gz
 57103c6260d642f7f033fa5b0179b0fc115a0ad7 330304 grub2_1.99~rc1-9_i386.deb
 cbd580cf8fea151d6e95db4004c2c24d60361159 328598 grub-linuxbios_1.99~rc1-9_i386.deb
 e76f97d78038073ef0ca7625a0ebced42bbc5b24 328600 grub-efi_1.99~rc1-9_i386.deb
 746b910b85af08fc27eeb0734fc54da29ded4dbf 2371852 grub-common_1.99~rc1-9_i386.deb
 22ce02e737ac06f5aee5f197c8f0719bc96e2b26 3318628 grub-emu_1.99~rc1-9_i386.deb
 21c5fcc6a5c7a196c2ab3d47f326b139811363b3 1207504 grub-pc_1.99~rc1-9_i386.deb
 97fc71c06e59383c2bf882fc558fc817eb3ce560 1529966 grub-rescue-pc_1.99~rc1-9_i386.deb
 72affc8b236716db1f94240a3b81f7a42b5cbcc1 937158 grub-coreboot_1.99~rc1-9_i386.deb
 3fd033a4972407bb6d09050bd6f424e843621f24 951228 grub-efi-ia32_1.99~rc1-9_i386.deb
 5ec9a34cdf160f73a67722ed0dd360e20345eb53 1041306 grub-efi-amd64_1.99~rc1-9_i386.deb
 f8e152d54175d5edb8c691fed688d420f0917504 933092 grub-ieee1275_1.99~rc1-9_i386.deb
 c90e430fdeeffdbd4a77b9e1f49993054426cee2 849070 grub-firmware-qemu_1.99~rc1-9_i386.deb
Checksums-Sha256: 
 b7b58d86e8fc974b352bf0fa447cfb20829342fdc78419489d605c8ad2f64893 2969 grub2_1.99~rc1-9.dsc
 9291067443e0d98a5dd021d17f1b47067da42d407a6b89420ae9eb0f10821043 605210 grub2_1.99~rc1-9.diff.gz
 43d76d62ccdc09148d88b55f5b42d65bf6ea67ac0ff25f04ff830a7cfd35ad16 330304 grub2_1.99~rc1-9_i386.deb
 3182b9e81cf6dd064d85140598d96c5e47a9de2c532410c49f7b8a2938575c8d 328598 grub-linuxbios_1.99~rc1-9_i386.deb
 08373c3dcb491ed86f2d735f609368b7cc3aac084a0ac8efd5907844e3db4603 328600 grub-efi_1.99~rc1-9_i386.deb
 696e83f7914ebd382362f45d79cb7a94d13a5f4085a803e907e0d141dd44c322 2371852 grub-common_1.99~rc1-9_i386.deb
 4055f22b4b51f0408b7ef16c7098e82532434bd0c6d16c572fd40aae6512d1ab 3318628 grub-emu_1.99~rc1-9_i386.deb
 a99ac280e4ecb984208c1bf5fe4d39db2950baa0898f9cd0ad0bea0b373e6e97 1207504 grub-pc_1.99~rc1-9_i386.deb
 189c1cedc623f7ba565752193c557821855f18e5a1ad45f4ee5533d92c910b3e 1529966 grub-rescue-pc_1.99~rc1-9_i386.deb
 66ac7ed661bca0dc4cffc6da0704cc22529672bdd619a1849bf19a8c2141d83c 937158 grub-coreboot_1.99~rc1-9_i386.deb
 bad41a61797e44bc155458c9a6bcd490c85efb15f6dde7d47d421b2ca651ef19 951228 grub-efi-ia32_1.99~rc1-9_i386.deb
 e4848a9b0cdc4c0b1baff2bf10d771e3a0571d24b01b7bb996cbabb5fc56bebd 1041306 grub-efi-amd64_1.99~rc1-9_i386.deb
 b72419e935820174a76efc78a1d07add138f01496ac45698a362ac55971f6d0a 933092 grub-ieee1275_1.99~rc1-9_i386.deb
 038a936bc7f71e6fb0146811e4218b76938beb69bcfaa755196b2eb65734ec84 849070 grub-firmware-qemu_1.99~rc1-9_i386.deb
Files: 
 37e1fb206aa6c8969f9c0abe61db5224 2969 admin extra grub2_1.99~rc1-9.dsc
 d4ae282bf954d9dc05fcc5098ffa4d40 605210 admin extra grub2_1.99~rc1-9.diff.gz
 e39965e2c64247a8671adcc3d77a2d54 330304 admin extra grub2_1.99~rc1-9_i386.deb
 657bd504ad1d1abfd74455fdd8b37695 328598 admin extra grub-linuxbios_1.99~rc1-9_i386.deb
 97d5f843e83abcda55a531bff89602ec 328600 admin extra grub-efi_1.99~rc1-9_i386.deb
 ddc25d79fb53c584f8c347a1ba1bac6e 2371852 admin optional grub-common_1.99~rc1-9_i386.deb
 0cb357b37566f450c0c6d4153758cb30 3318628 admin extra grub-emu_1.99~rc1-9_i386.deb
 91accd2139af67fec24e9c79f5e7c1c9 1207504 admin optional grub-pc_1.99~rc1-9_i386.deb
 71241945ed61500402b1a2fe69723a90 1529966 admin extra grub-rescue-pc_1.99~rc1-9_i386.deb
 dc4e668261d5179f78f28b642bcddb34 937158 admin extra grub-coreboot_1.99~rc1-9_i386.deb
 af4f155d1e732446423f531d0ef76fd2 951228 admin extra grub-efi-ia32_1.99~rc1-9_i386.deb
 4283d22163e6a47f7c12502a9be9fcac 1041306 admin extra grub-efi-amd64_1.99~rc1-9_i386.deb
 533c2a437f0727f715d425e1c8c3a954 933092 admin extra grub-ieee1275_1.99~rc1-9_i386.deb
 d680139b9c9b5e30552e3c252eeccaeb 849070 admin extra grub-firmware-qemu_1.99~rc1-9_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBTaAyRDk1h9l9hlALAQgeHA//XCclJpiKKejXGw13INXg2/jy250YcfHz
SKoAtH/GrQueZvNubm4+vML0nF7YK1KOQ0QdlT4xWjb98mZIw7yZAUGd2ccE0vmN
08Ml8j6FbwIFgiy5tlcyQTFaCdg+L7+h8ahYkPFnXTLpDcFZEd7Pm71K+gQmzvbP
b7jaqH2EkZx9XNFzrD9w+WT+wH1uHbjDUlsQt0XbZrYalhpQlEO4i+FlFfOBQ6V4
9q2YAhXhlC6DCtnSv5LiLiwvrGUBfyRt6IS6mY7M7bydsiTvwbwaxeOC9lqh8N4C
LmOdDYV+IjU698rKoPd1TzxhgQ5j8FBoRrSRaTsGorLLeeMmaELK6uSle0Ifj+BT
LT0k6KJNW1xu0blJc+9MEsMlGAGjUlpwkGnts+2CWDU3UrDTrzM7+KX8CQ1Kb2s8
u0UGaWP82i4kV+SOblZymwoGYLL2CMXxWH4rfCINwqlqXuylRV3XvksH9Zt2yJDY
nvE/jwhr6L61p//UNx1O/U8P2DatEK38c+33KUXOftv02CZlzr38RUTrak6mzkFk
JiK5y5FNeSwGc7Mek2of5dsM9wpi4NUp68prz+kCJIjLTW9OGzkjh+VdFy7+hdnY
jvgotdYRAeUhN+iwgtPzj1qyU9HEcnSX1gXljUOac5adn5sakMYulcJCpWe4py+g
Pyqb73SkBdQ=
=pqb4
-----END PGP SIGNATURE-----





Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Sat, 09 Apr 2011 10:36:51 GMT) Full text and rfc822 format available.

Notification sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Bug acknowledged by developer. (Sat, 09 Apr 2011 10:36:58 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, info@g-com.eu, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#610184; Package grub-pc. (Sun, 17 Apr 2011 19:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alf Gaida <info@g-com.eu>:
Extra info received and forwarded to list. Copy sent to info@g-com.eu, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 17 Apr 2011 19:36:03 GMT) Full text and rfc822 format available.

Message #44 received at 610184@bugs.debian.org (full text, mbox):

From: Alf Gaida <info@g-com.eu>
To: Debian Bug Tracking System <610184@bugs.debian.org>
Subject: grub-pc: I don't belive the bug is fixed (or its a regression)
Date: Sun, 17 Apr 2011 21:34:21 +0200
Package: grub-pc
Version: 1.99~rc1-13
Followup-For: Bug #610184

Install a new system with debootstrap on a new lvm partition this error occours. The one thats fits best was 610184. Have none of these problems when i made an update one week ago. So it may be an regression.

-- Package-specific info:

*********************** BEGIN /proc/mounts
/dev/mapper/vg0-admin / ext4 rw,noatime,errors=remount-ro,user_xattr,commit=1000,barrier=1,data=ordered 0 0
/dev/sdc1 /mnt ext4 rw,relatime,barrier=1,data=ordered 0 0
/dev/sdc6 /media/disk ext3 rw,nosuid,nodev,relatime,errors=continue,barrier=0,data=ordered 0 0
*********************** END /proc/mounts

*********************** BEGIN /boot/grub/device.map
(hd0)	/dev/disk/by-id/ata-SAMSUNG_HD103SJ_S246J1MSA00283
(hd1)	/dev/disk/by-id/ata-SAMSUNG_HD103SJ_S246J1MSA00277
(hd2)	/dev/disk/by-id/usb-OCZ_RALLY2_00000000000411-0:0
*********************** END /boot/grub/device.map

*********************** BEGIN /boot/grub/grub.cfg
#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by grub-mkconfig using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
if [ -s $prefix/grubenv ]; then
  load_env
fi
set default="0"
if [ "${prev_saved_entry}" ]; then
  set saved_entry="${prev_saved_entry}"
  save_env saved_entry
  set prev_saved_entry=
  save_env prev_saved_entry
  set boot_once=true
fi

function savedefault {
  if [ -z "${boot_once}" ]; then
    saved_entry="${chosen}"
    save_env saved_entry
  fi
}

function load_video {
  insmod vbe
  insmod vga
  insmod video_bochs
  insmod video_cirrus
}

insmod raid
insmod mdraid09
insmod lvm
insmod part_msdos
insmod ext2
set root='(vg0-admin)'
search --no-floppy --fs-uuid --set=root d5c677df-651d-457f-b066-c3bf22f2bada
if loadfont /usr/share/grub/unicode.pf2 ; then
  set gfxmode=640x480
  load_video
  insmod gfxterm
fi
terminal_output gfxterm
insmod raid
insmod mdraid09
insmod lvm
insmod part_msdos
insmod ext2
set root='(vg0-admin)'
search --no-floppy --fs-uuid --set=root d5c677df-651d-457f-b066-c3bf22f2bada
set locale_dir=($root)/boot/grub/locale
set lang=de_DE
insmod gettext
set timeout=5
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/05_debian_theme ###
insmod raid
insmod mdraid09
insmod lvm
insmod part_msdos
insmod ext2
set root='(vg0-admin)'
search --no-floppy --fs-uuid --set=root d5c677df-651d-457f-b066-c3bf22f2bada
insmod png
if background_image /usr/share/images/desktop-base/spacefun-grub.png; then
  set color_normal=light-gray/black
  set color_highlight=white/black
else
  set menu_color_normal=cyan/blue
  set menu_color_highlight=white/blue
fi
### END /etc/grub.d/05_debian_theme ###

### BEGIN /etc/grub.d/10_linux ###
menuentry 'Debian GNU/Linux, mit Linux 2.6.38-2-amd64' --class debian --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid09
	insmod lvm
	insmod part_msdos
	insmod ext2
	set root='(vg0-admin)'
	search --no-floppy --fs-uuid --set=root d5c677df-651d-457f-b066-c3bf22f2bada
	echo	'Loading Linux 2.6.38-2-amd64 ...'
	linux	/boot/vmlinuz-2.6.38-2-amd64 root=/dev/mapper/vg0-admin ro  quiet
	echo	'Loading initial ramdisk ...'
	initrd	/boot/initrd.img-2.6.38-2-amd64
}
menuentry 'Debian GNU/Linux, mit Linux 2.6.38-2-amd64 (Wiederherstellungsmodus)' --class debian --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid09
	insmod lvm
	insmod part_msdos
	insmod ext2
	set root='(vg0-admin)'
	search --no-floppy --fs-uuid --set=root d5c677df-651d-457f-b066-c3bf22f2bada
	echo	'Loading Linux 2.6.38-2-amd64 ...'
	linux	/boot/vmlinuz-2.6.38-2-amd64 root=/dev/mapper/vg0-admin ro single 
	echo	'Loading initial ramdisk ...'
	initrd	/boot/initrd.img-2.6.38-2-amd64
}
### END /etc/grub.d/10_linux ###

### BEGIN /etc/grub.d/20_linux_xen ###
### END /etc/grub.d/20_linux_xen ###

### BEGIN /etc/grub.d/30_os-prober ###
menuentry "Debian GNU/Linux, with Linux 2.6.32-5-amd64 (on /dev/sdc1)" --class gnu-linux --class gnu --class os {
	insmod part_msdos
	insmod ext2
	set root='(hd2,msdos1)'
	search --no-floppy --fs-uuid --set=root e5bb754f-79d9-43fb-b235-64053acf7e0a
	linux /boot/vmlinuz-2.6.32-5-amd64 root=/dev/disk/by-label/stick_root ro nolapic_timer radeon.modeset=0
	initrd /boot/initrd.img-2.6.32-5-amd64
}
menuentry "Debian GNU/Linux, mit Linux 2.6.38-2-amd64 (on /dev/sdc1)" --class gnu-linux --class gnu --class os {
	insmod part_msdos
	insmod ext2
	set root='(hd2,msdos1)'
	search --no-floppy --fs-uuid --set=root e5bb754f-79d9-43fb-b235-64053acf7e0a
	linux /boot/vmlinuz-2.6.38-2-amd64 root=UUID=e5bb754f-79d9-43fb-b235-64053acf7e0a ro i915.modeset=0
	initrd /boot/initrd.img-2.6.38-2-amd64
}
menuentry "Debian GNU/Linux, mit Linux 2.6.38-2-amd64 (Wiederherstellungsmodus) (on /dev/sdc1)" --class gnu-linux --class gnu --class os {
	insmod part_msdos
	insmod ext2
	set root='(hd2,msdos1)'
	search --no-floppy --fs-uuid --set=root e5bb754f-79d9-43fb-b235-64053acf7e0a
	linux /boot/vmlinuz-2.6.38-2-amd64 root=UUID=e5bb754f-79d9-43fb-b235-64053acf7e0a ro single
	initrd /boot/initrd.img-2.6.38-2-amd64
}
menuentry "Debian GNU/Linux, mit Linux 2.6.32-5-amd64 (on /dev/sdc1)" --class gnu-linux --class gnu --class os {
	insmod part_msdos
	insmod ext2
	set root='(hd2,msdos1)'
	search --no-floppy --fs-uuid --set=root e5bb754f-79d9-43fb-b235-64053acf7e0a
	linux /boot/vmlinuz-2.6.32-5-amd64 root=UUID=e5bb754f-79d9-43fb-b235-64053acf7e0a ro i915.modeset=0
	initrd /boot/initrd.img-2.6.32-5-amd64
}
menuentry "Debian GNU/Linux, mit Linux 2.6.32-5-amd64 (Wiederherstellungsmodus) (on /dev/sdc1)" --class gnu-linux --class gnu --class os {
	insmod part_msdos
	insmod ext2
	set root='(hd2,msdos1)'
	search --no-floppy --fs-uuid --set=root e5bb754f-79d9-43fb-b235-64053acf7e0a
	linux /boot/vmlinuz-2.6.32-5-amd64 root=UUID=e5bb754f-79d9-43fb-b235-64053acf7e0a ro single
	initrd /boot/initrd.img-2.6.32-5-amd64
}
menuentry "Ubuntu GNU/Linux, with Linux 2.6.35-28-generic-pae (on /dev/mapper/vg0-maverick)" --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid09
	insmod lvm
	insmod part_msdos
	insmod ext2
	set root='(vg0-maverick)'
	search --no-floppy --fs-uuid --set=root d2197800-aaa2-4261-9892-f4098bc1f323
	linux /boot/vmlinuz-2.6.35-28-generic-pae root=/dev/mapper/vg0-maverick ro nolapic_timer d915.modeset=1
	initrd /boot/initrd.img-2.6.35-28-generic-pae
}
menuentry "Ubuntu GNU/Linux, with Linux 2.6.35-28-generic-pae (recovery mode) (on /dev/mapper/vg0-maverick)" --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid09
	insmod lvm
	insmod part_msdos
	insmod ext2
	set root='(vg0-maverick)'
	search --no-floppy --fs-uuid --set=root d2197800-aaa2-4261-9892-f4098bc1f323
	linux /boot/vmlinuz-2.6.35-28-generic-pae root=/dev/mapper/vg0-maverick ro single
	initrd /boot/initrd.img-2.6.35-28-generic-pae
}
menuentry "Ubuntu GNU/Linux, with Linux 2.6.35-22-generic-pae (on /dev/mapper/vg0-maverick)" --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid09
	insmod lvm
	insmod part_msdos
	insmod ext2
	set root='(vg0-maverick)'
	search --no-floppy --fs-uuid --set=root d2197800-aaa2-4261-9892-f4098bc1f323
	linux /boot/vmlinuz-2.6.35-22-generic-pae root=/dev/mapper/vg0-maverick ro nolapic_timer d915.modeset=1
	initrd /boot/initrd.img-2.6.35-22-generic-pae
}
menuentry "Ubuntu GNU/Linux, with Linux 2.6.35-22-generic-pae (recovery mode) (on /dev/mapper/vg0-maverick)" --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid09
	insmod lvm
	insmod part_msdos
	insmod ext2
	set root='(vg0-maverick)'
	search --no-floppy --fs-uuid --set=root d2197800-aaa2-4261-9892-f4098bc1f323
	linux /boot/vmlinuz-2.6.35-22-generic-pae root=/dev/mapper/vg0-maverick ro single
	initrd /boot/initrd.img-2.6.35-22-generic-pae
}
menuentry "Ubuntu GNU/Linux, with Linux 2.6.32-25-generic-pae (on /dev/mapper/vg0-maverick)" --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid09
	insmod lvm
	insmod part_msdos
	insmod ext2
	set root='(vg0-maverick)'
	search --no-floppy --fs-uuid --set=root d2197800-aaa2-4261-9892-f4098bc1f323
	linux /boot/vmlinuz-2.6.32-25-generic-pae root=/dev/mapper/vg0-maverick ro nolapic_timer d915.modeset=1
	initrd /boot/initrd.img-2.6.32-25-generic-pae
}
menuentry "Ubuntu GNU/Linux, with Linux 2.6.32-25-generic-pae (recovery mode) (on /dev/mapper/vg0-maverick)" --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid09
	insmod lvm
	insmod part_msdos
	insmod ext2
	set root='(vg0-maverick)'
	search --no-floppy --fs-uuid --set=root d2197800-aaa2-4261-9892-f4098bc1f323
	linux /boot/vmlinuz-2.6.32-25-generic-pae root=/dev/mapper/vg0-maverick ro single
	initrd /boot/initrd.img-2.6.32-25-generic-pae
}
menuentry "Ubuntu GNU/Linux, with Linux 2.6.32-25-generic-pae (on /dev/mapper/vg0-obelix_root)" --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid09
	insmod lvm
	insmod part_msdos
	insmod ext2
	set root='(vg0-obelix_root)'
	search --no-floppy --fs-uuid --set=root 001720bb-d4c1-43e8-974e-810d05fd2e63
	linux /boot/vmlinuz-2.6.32-25-generic-pae root=UUID=89898c5e-7798-4e5e-89cb-ad3dff70cc92 ro nolapic_timer d915.modeset=1
	initrd /boot/initrd.img-2.6.32-25-generic-pae
}
menuentry "Ubuntu GNU/Linux, with Linux 2.6.32-25-generic-pae (recovery mode) (on /dev/mapper/vg0-obelix_root)" --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid09
	insmod lvm
	insmod part_msdos
	insmod ext2
	set root='(vg0-obelix_root)'
	search --no-floppy --fs-uuid --set=root 001720bb-d4c1-43e8-974e-810d05fd2e63
	linux /boot/vmlinuz-2.6.32-25-generic-pae root=UUID=89898c5e-7798-4e5e-89cb-ad3dff70cc92 ro single
	initrd /boot/initrd.img-2.6.32-25-generic-pae
}
menuentry "Ubuntu GNU/Linux, mit Linux 2.6.38-2-amd64 (on /dev/mapper/vg0-root)" --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid09
	insmod part_msdos
	insmod part_msdos
	insmod ext2
	set root='(md0)'
	search --no-floppy --fs-uuid --set=root 46fbcd8f-b93f-4398-b74a-b1f1c77d6c94
	linux /vmlinuz-2.6.38-2-amd64 root=/dev/mapper/vg0-verwaltung ro nolapic_timer d915.modeset=1
	initrd /initrd.img-2.6.38-2-amd64
}
menuentry "Ubuntu GNU/Linux, mit Linux 2.6.38-2-amd64 (Wiederherstellungsmodus) (on /dev/mapper/vg0-root)" --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid09
	insmod part_msdos
	insmod part_msdos
	insmod ext2
	set root='(md0)'
	search --no-floppy --fs-uuid --set=root 46fbcd8f-b93f-4398-b74a-b1f1c77d6c94
	linux /vmlinuz-2.6.38-2-amd64 root=/dev/mapper/vg0-verwaltung ro single
	initrd /initrd.img-2.6.38-2-amd64
}
menuentry "Ubuntu GNU/Linux, mit Linux 2.6.32-30-generic-pae (on /dev/mapper/vg0-root)" --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid09
	insmod part_msdos
	insmod part_msdos
	insmod ext2
	set root='(md0)'
	search --no-floppy --fs-uuid --set=root 46fbcd8f-b93f-4398-b74a-b1f1c77d6c94
	linux /vmlinuz-2.6.32-30-generic-pae root=/dev/mapper/vg0-verwaltung ro nolapic_timer d915.modeset=1
	initrd /initrd.img-2.6.32-30-generic-pae
}
menuentry "Ubuntu GNU/Linux, mit Linux 2.6.32-30-generic-pae (Wiederherstellungsmodus) (on /dev/mapper/vg0-root)" --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid09
	insmod part_msdos
	insmod part_msdos
	insmod ext2
	set root='(md0)'
	search --no-floppy --fs-uuid --set=root 46fbcd8f-b93f-4398-b74a-b1f1c77d6c94
	linux /vmlinuz-2.6.32-30-generic-pae root=/dev/mapper/vg0-verwaltung ro single
	initrd /initrd.img-2.6.32-30-generic-pae
}
menuentry "Ubuntu GNU/Linux, mit Linux 2.6.32-5-xen-amd64 (on /dev/mapper/vg0-root)" --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid09
	insmod part_msdos
	insmod part_msdos
	insmod ext2
	set root='(md0)'
	search --no-floppy --fs-uuid --set=root 46fbcd8f-b93f-4398-b74a-b1f1c77d6c94
	linux /vmlinuz-2.6.32-5-xen-amd64 root=/dev/mapper/vg0-verwaltung ro nolapic_timer d915.modeset=1
	initrd /initrd.img-2.6.32-5-xen-amd64
}
menuentry "Ubuntu GNU/Linux, mit Linux 2.6.32-5-xen-amd64 (Wiederherstellungsmodus) (on /dev/mapper/vg0-root)" --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid09
	insmod part_msdos
	insmod part_msdos
	insmod ext2
	set root='(md0)'
	search --no-floppy --fs-uuid --set=root 46fbcd8f-b93f-4398-b74a-b1f1c77d6c94
	linux /vmlinuz-2.6.32-5-xen-amd64 root=/dev/mapper/vg0-verwaltung ro single
	initrd /initrd.img-2.6.32-5-xen-amd64
}
menuentry "Ubuntu GNU/Linux, mit Linux 2.6.32-5-amd64 (on /dev/mapper/vg0-root)" --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid09
	insmod part_msdos
	insmod part_msdos
	insmod ext2
	set root='(md0)'
	search --no-floppy --fs-uuid --set=root 46fbcd8f-b93f-4398-b74a-b1f1c77d6c94
	linux /vmlinuz-2.6.32-5-amd64 root=/dev/mapper/vg0-verwaltung ro nolapic_timer d915.modeset=1
	initrd /initrd.img-2.6.32-5-amd64
}
menuentry "Ubuntu GNU/Linux, mit Linux 2.6.32-5-amd64 (Wiederherstellungsmodus) (on /dev/mapper/vg0-root)" --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid09
	insmod part_msdos
	insmod part_msdos
	insmod ext2
	set root='(md0)'
	search --no-floppy --fs-uuid --set=root 46fbcd8f-b93f-4398-b74a-b1f1c77d6c94
	linux /vmlinuz-2.6.32-5-amd64 root=/dev/mapper/vg0-verwaltung ro single
	initrd /initrd.img-2.6.32-5-amd64
}
menuentry "Ubuntu GNU/Linux, mit Linux 2.6.32-25-generic-pae (on /dev/mapper/vg0-verwaltung)" --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid09
	insmod lvm
	insmod part_msdos
	insmod ext2
	set root='(vg0-verwaltung)'
	search --no-floppy --fs-uuid --set=root 871491d8-9ea8-408f-a24c-3c485ea1578c
	linux /boot/vmlinuz-2.6.32-25-generic-pae root=/dev/mapper/vg0-verwaltung ro nolapic_timer d915.modeset=1
	initrd /boot/initrd.img-2.6.32-25-generic-pae
}
menuentry "Ubuntu GNU/Linux, mit Linux 2.6.32-25-generic-pae (Wiederherstellungsmodus) (on /dev/mapper/vg0-verwaltung)" --class gnu-linux --class gnu --class os {
	insmod raid
	insmod mdraid09
	insmod lvm
	insmod part_msdos
	insmod ext2
	set root='(vg0-verwaltung)'
	search --no-floppy --fs-uuid --set=root 871491d8-9ea8-408f-a24c-3c485ea1578c
	linux /boot/vmlinuz-2.6.32-25-generic-pae root=/dev/mapper/vg0-verwaltung ro single
	initrd /boot/initrd.img-2.6.32-25-generic-pae
}
### END /etc/grub.d/30_os-prober ###

### BEGIN /etc/grub.d/40_custom ###
# This file provides an easy way to add custom menu entries.  Simply type the
# menu entries you want to add after this comment.  Be careful not to change
# the 'exec tail' line above.
### END /etc/grub.d/40_custom ###

### BEGIN /etc/grub.d/41_custom ###
if [ -f  $prefix/custom.cfg ]; then
  source $prefix/custom.cfg;
fi
### END /etc/grub.d/41_custom ###
*********************** END /boot/grub/grub.cfg

*********************** BEGIN /proc/mdstat
Personalities : [raid1] 
md2 : active raid1 sdb3[0] sda3[1]
      971518592 blocks [2/2] [UU]
      
md1 : active (auto-read-only) raid1 sdb2[0] sda2[1]
      4194240 blocks [2/2] [UU]
      
md0 : active (auto-read-only) raid1 sdb1[0] sda1[1]
      1048512 blocks [2/2] [UU]
      
unused devices: <none>
*********************** END /proc/mdstat

*********************** BEGIN LVM
  --- Volume group ---
  VG Name               vg0
  System ID             
  Format                lvm2
  Metadata Areas        1
  Metadata Sequence No  11
  VG Access             read/write
  VG Status             resizable
  MAX LV                0
  Cur LV                6
  Open LV               1
  Max PV                0
  Cur PV                1
  Act PV                1
  VG Size               926.51 GiB
  PE Size               4.00 MiB
  Total PE              237187
  Alloc PE / Size       212480 / 830.00 GiB
  Free  PE / Size       24707 / 96.51 GiB
  VG UUID               Ybgoev-xHYh-HJPh-p8CN-Wofs-sCl7-tw5GQW
   
  --- Physical volume ---
  PV Name               /dev/md2
  VG Name               vg0
  PV Size               926.51 GiB / not usable 640.00 KiB
  Allocatable           yes 
  PE Size               4.00 MiB
  Total PE              237187
  Free PE               24707
  Allocated PE          212480
  PV UUID               b1V5Vt-MNKi-iNE7-r64f-qEyr-lzBp-KWV7nt
   
  --- Logical volume ---
  LV Name                /dev/vg0/root
  VG Name                vg0
  LV UUID                hv3ZLw-XrLY-ZDVw-Rtag-Iwn8-OnIB-pvufvr
  LV Write Access        read/write
  LV Status              available
  # open                 0
  LV Size                15.00 GiB
  Current LE             3840
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           253:1
   
  --- Logical volume ---
  LV Name                /dev/vg0/obelix_root
  VG Name                vg0
  LV UUID                gfmfYG-W4wO-ms6n-py5E-M9Dr-51oM-lzVQQO
  LV Write Access        read/write
  LV Status              available
  # open                 0
  LV Size                35.00 GiB
  Current LE             8960
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           253:2
   
  --- Logical volume ---
  LV Name                /dev/vg0/altdaten
  VG Name                vg0
  LV UUID                RUst3y-zApq-E9tF-NPch-QPSa-co2W-EKVqod
  LV Write Access        read/write
  LV Status              available
  # open                 0
  LV Size                700.00 GiB
  Current LE             179200
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           253:3
   
  --- Logical volume ---
  LV Name                /dev/vg0/verwaltung
  VG Name                vg0
  LV UUID                WnLi9H-ayaS-XCA3-Sf6b-WyRV-yFJE-fKchNx
  LV Write Access        read/write
  LV Status              available
  # open                 0
  LV Size                35.00 GiB
  Current LE             8960
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           253:4
   
  --- Logical volume ---
  LV Name                /dev/vg0/maverick
  VG Name                vg0
  LV UUID                h9uJmM-r2ZH-OR9j-Z6xB-EfP0-aLtt-7DVttC
  LV Write Access        read/write
  LV Status              available
  # open                 0
  LV Size                40.00 GiB
  Current LE             10240
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           253:5
   
  --- Logical volume ---
  LV Name                /dev/vg0/admin
  VG Name                vg0
  LV UUID                oXSmCa-FzdS-vf34-rj3G-WuI6-fO0u-rPEJS0
  LV Write Access        read/write
  LV Status              available
  # open                 1
  LV Size                5.00 GiB
  Current LE             1280
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           253:0
   
*********************** END LVM

*********************** BEGIN /dev/disk/by-id
total 0
lrwxrwxrwx 1 root root  9 Apr 17 20:13 ata-SAMSUNG_HD103SJ_S246J1MSA00277 -> ../../sdb
lrwxrwxrwx 1 root root 10 Apr 17 20:13 ata-SAMSUNG_HD103SJ_S246J1MSA00277-part1 -> ../../sdb1
lrwxrwxrwx 1 root root 10 Apr 17 20:13 ata-SAMSUNG_HD103SJ_S246J1MSA00277-part2 -> ../../sdb2
lrwxrwxrwx 1 root root 10 Apr 17 20:13 ata-SAMSUNG_HD103SJ_S246J1MSA00277-part3 -> ../../sdb3
lrwxrwxrwx 1 root root  9 Apr 17 20:13 ata-SAMSUNG_HD103SJ_S246J1MSA00283 -> ../../sda
lrwxrwxrwx 1 root root 10 Apr 17 20:13 ata-SAMSUNG_HD103SJ_S246J1MSA00283-part1 -> ../../sda1
lrwxrwxrwx 1 root root 10 Apr 17 20:13 ata-SAMSUNG_HD103SJ_S246J1MSA00283-part2 -> ../../sda2
lrwxrwxrwx 1 root root 10 Apr 17 20:13 ata-SAMSUNG_HD103SJ_S246J1MSA00283-part3 -> ../../sda3
lrwxrwxrwx 1 root root 10 Apr 17 20:13 dm-name-vg0-admin -> ../../dm-0
lrwxrwxrwx 1 root root 10 Apr 17 20:14 dm-name-vg0-altdaten -> ../../dm-3
lrwxrwxrwx 1 root root 10 Apr 17 20:14 dm-name-vg0-maverick -> ../../dm-5
lrwxrwxrwx 1 root root 10 Apr 17 20:14 dm-name-vg0-obelix_root -> ../../dm-2
lrwxrwxrwx 1 root root 10 Apr 17 20:14 dm-name-vg0-root -> ../../dm-1
lrwxrwxrwx 1 root root 10 Apr 17 20:14 dm-name-vg0-verwaltung -> ../../dm-4
lrwxrwxrwx 1 root root 10 Apr 17 20:14 dm-uuid-LVM-YbgoevxHYhHJPhp8CNWofssCl7tw5GQWRUst3yzApqE9tFNPchQPSaco2WEKVqod -> ../../dm-3
lrwxrwxrwx 1 root root 10 Apr 17 20:14 dm-uuid-LVM-YbgoevxHYhHJPhp8CNWofssCl7tw5GQWWnLi9HayaSXCA3Sf6bWyRVyFJEfKchNx -> ../../dm-4
lrwxrwxrwx 1 root root 10 Apr 17 20:14 dm-uuid-LVM-YbgoevxHYhHJPhp8CNWofssCl7tw5GQWgfmfYGW4wOms6npy5EM9Dr51oMlzVQQO -> ../../dm-2
lrwxrwxrwx 1 root root 10 Apr 17 20:14 dm-uuid-LVM-YbgoevxHYhHJPhp8CNWofssCl7tw5GQWh9uJmMr2ZHOR9jZ6xBEfP0aLtt7DVttC -> ../../dm-5
lrwxrwxrwx 1 root root 10 Apr 17 20:14 dm-uuid-LVM-YbgoevxHYhHJPhp8CNWofssCl7tw5GQWhv3ZLwXrLYZDVwRtagIwn8OnIBpvufvr -> ../../dm-1
lrwxrwxrwx 1 root root 10 Apr 17 20:13 dm-uuid-LVM-YbgoevxHYhHJPhp8CNWofssCl7tw5GQWoXSmCaFzdSvf34rj3GWuI6fO0urPEJS0 -> ../../dm-0
lrwxrwxrwx 1 root root  9 Apr 17 20:14 md-uuid-8dc674f1:54d10af0:9bb2587a:ccc1079f -> ../../md1
lrwxrwxrwx 1 root root  9 Apr 17 20:14 md-uuid-c8f37dbd:68d743e0:9bb2587a:ccc1079f -> ../../md0
lrwxrwxrwx 1 root root  9 Apr 17 20:14 md-uuid-f5f9c7fe:bd91c042:9bb2587a:ccc1079f -> ../../md2
lrwxrwxrwx 1 root root  9 Apr 17 20:13 scsi-SATA_SAMSUNG_HD103SJS246J1MSA00277 -> ../../sdb
lrwxrwxrwx 1 root root 10 Apr 17 20:13 scsi-SATA_SAMSUNG_HD103SJS246J1MSA00277-part1 -> ../../sdb1
lrwxrwxrwx 1 root root 10 Apr 17 20:13 scsi-SATA_SAMSUNG_HD103SJS246J1MSA00277-part2 -> ../../sdb2
lrwxrwxrwx 1 root root 10 Apr 17 20:13 scsi-SATA_SAMSUNG_HD103SJS246J1MSA00277-part3 -> ../../sdb3
lrwxrwxrwx 1 root root  9 Apr 17 20:13 scsi-SATA_SAMSUNG_HD103SJS246J1MSA00283 -> ../../sda
lrwxrwxrwx 1 root root 10 Apr 17 20:13 scsi-SATA_SAMSUNG_HD103SJS246J1MSA00283-part1 -> ../../sda1
lrwxrwxrwx 1 root root 10 Apr 17 20:13 scsi-SATA_SAMSUNG_HD103SJS246J1MSA00283-part2 -> ../../sda2
lrwxrwxrwx 1 root root 10 Apr 17 20:13 scsi-SATA_SAMSUNG_HD103SJS246J1MSA00283-part3 -> ../../sda3
lrwxrwxrwx 1 root root  9 Apr 17 20:13 usb-OCZ_RALLY2_00000000000411-0:0 -> ../../sdc
lrwxrwxrwx 1 root root 10 Apr 17 20:14 usb-OCZ_RALLY2_00000000000411-0:0-part1 -> ../../sdc1
lrwxrwxrwx 1 root root 10 Apr 17 20:14 usb-OCZ_RALLY2_00000000000411-0:0-part2 -> ../../sdc2
lrwxrwxrwx 1 root root 10 Apr 17 20:14 usb-OCZ_RALLY2_00000000000411-0:0-part5 -> ../../sdc5
lrwxrwxrwx 1 root root 10 Apr 17 20:14 usb-OCZ_RALLY2_00000000000411-0:0-part6 -> ../../sdc6
lrwxrwxrwx 1 root root  9 Apr 17 20:13 wwn-0x50024e900239c28a -> ../../sdb
lrwxrwxrwx 1 root root 10 Apr 17 20:13 wwn-0x50024e900239c28a-part1 -> ../../sdb1
lrwxrwxrwx 1 root root 10 Apr 17 20:13 wwn-0x50024e900239c28a-part2 -> ../../sdb2
lrwxrwxrwx 1 root root 10 Apr 17 20:13 wwn-0x50024e900239c28a-part3 -> ../../sdb3
lrwxrwxrwx 1 root root  9 Apr 17 20:13 wwn-0x50024e900239c2b8 -> ../../sda
lrwxrwxrwx 1 root root 10 Apr 17 20:13 wwn-0x50024e900239c2b8-part1 -> ../../sda1
lrwxrwxrwx 1 root root 10 Apr 17 20:13 wwn-0x50024e900239c2b8-part2 -> ../../sda2
lrwxrwxrwx 1 root root 10 Apr 17 20:13 wwn-0x50024e900239c2b8-part3 -> ../../sda3
*********************** END /dev/disk/by-id

*********************** BEGIN /dev/disk/by-uuid
total 0
lrwxrwxrwx 1 root root 10 Apr 17 20:14 001720bb-d4c1-43e8-974e-810d05fd2e63 -> ../../dm-2
lrwxrwxrwx 1 root root 10 Apr 17 20:14 00e006e2-a39d-4a22-bc4f-d4cad0206d12 -> ../../dm-3
lrwxrwxrwx 1 root root 10 Apr 17 20:14 42e1b3f8-aba9-418e-97f5-23565e79d42f -> ../../dm-1
lrwxrwxrwx 1 root root  9 Apr 17 20:14 46fbcd8f-b93f-4398-b74a-b1f1c77d6c94 -> ../../md0
lrwxrwxrwx 1 root root  9 Apr 17 20:14 72a04719-5433-4fa9-8de9-73e7c9892ed3 -> ../../md1
lrwxrwxrwx 1 root root 10 Apr 17 20:14 871491d8-9ea8-408f-a24c-3c485ea1578c -> ../../dm-4
lrwxrwxrwx 1 root root 10 Apr 17 20:14 d2197800-aaa2-4261-9892-f4098bc1f323 -> ../../dm-5
lrwxrwxrwx 1 root root 10 Apr 17 20:14 d373f13a-b8fb-4e9f-8c91-e9d50cac3ebb -> ../../sdc5
lrwxrwxrwx 1 root root 10 Apr 17 20:13 d5c677df-651d-457f-b066-c3bf22f2bada -> ../../dm-0
lrwxrwxrwx 1 root root 10 Apr 17 20:14 e276bb85-34b3-4b2d-bc45-2407655b5e55 -> ../../sdc6
lrwxrwxrwx 1 root root 10 Apr 17 20:14 e5bb754f-79d9-43fb-b235-64053acf7e0a -> ../../sdc1
*********************** END /dev/disk/by-uuid

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages grub-pc depends on:
ii  debconf [debconf-2.0]        1.5.38      Debian configuration management sy
ii  grub-common                  1.99~rc1-13 GRand Unified Bootloader, version 
ii  libc6                        2.11.2-13   Embedded GNU C Library: Shared lib
ii  libdevmapper1.02.1           2:1.02.63-3 The Linux Kernel Device Mapper use
ii  ucf                          3.0025+nmu1 Update Configuration File: preserv

grub-pc recommends no packages.

Versions of packages grub-pc suggests:
ii  desktop-base                  6.0.6      common files for the Debian Deskto

-- debconf information:
  grub-pc/kopt_extracted: false
  grub2/kfreebsd_cmdline:
  grub2/device_map_regenerated:
* grub-pc/install_devices: /dev/disk/by-id/ata-SAMSUNG_HD103SJ_S246J1MSA00283, /dev/disk/by-id/ata-SAMSUNG_HD103SJ_S246J1MSA00277
  grub-pc/postrm_purge_boot_grub: false
  grub-pc/install_devices_failed_upgrade: true
  grub-pc/disk_description:
  grub2/linux_cmdline:
  grub-pc/install_devices_empty: false
  grub2/kfreebsd_cmdline_default: quiet
  grub-pc/partition_description:
  grub-pc/install_devices_failed: false
  grub-pc/install_devices_disks_changed:
  grub2/linux_cmdline_default: quiet
  grub-pc/chainload_from_menu.lst: true
  grub-pc/mixed_legacy_and_grub2: true




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#610184; Package grub-pc. (Sun, 17 Apr 2011 20:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alf Gaida <info.gcom.eu@googlemail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 17 Apr 2011 20:09:02 GMT) Full text and rfc822 format available.

Message #49 received at 610184@bugs.debian.org (full text, mbox):

From: Alf Gaida <info.gcom.eu@googlemail.com>
To: 610184@bugs.debian.org
Subject: additional info
Date: Sun, 17 Apr 2011 22:07:27 +0200
[Message part 1 (text/plain, inline)]
root@obelix:~#
root@obelix:~#
root@obelix:~#
root@obelix:~# update-grub
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
Generating grub.cfg ...
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
Found background image: /usr/share/images/desktop-base/desktop-grub.png
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
Found linux image: /boot/vmlinuz-2.6.38-2-amd64
Found initrd image: /boot/initrd.img-2.6.38-2-amd64
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
Found Debian GNU/Linux (wheezy/sid) on /dev/sdc1
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
Found Ubuntu 10.10 (10.10) on /dev/mapper/vg0-maverick
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
Found Ubuntu 10.04.1 LTS (10.04) on /dev/mapper/vg0-obelix_root
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
Found Debian GNU/Linux (wheezy/sid) on /dev/mapper/vg0-root
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
Found Ubuntu 10.04.2 LTS (10.04) on /dev/mapper/vg0-verwaltung
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
error: found two disks with the index 1 for RAID md2.
error: superfluous RAID member (2 found).
done
root@obelix:~#
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#610184; Package grub-pc. (Tue, 26 Apr 2011 21:33:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Danjean <vdanjean@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Tue, 26 Apr 2011 21:33:26 GMT) Full text and rfc822 format available.

Message #54 received at 610184@bugs.debian.org (full text, mbox):

From: Vincent Danjean <vdanjean@debian.org>
To: Debian Bug Tracking System <610184@bugs.debian.org>
Subject: Re: Bad handling of spare devices in RAID arrays ? "error: superfluous RAID member"
Date: Tue, 26 Apr 2011 23:30:24 +0200
Package: grub-pc
Version: 1.99~rc1-13
Followup-For: Bug #610184

  Hi,

  I just want to confirm that I still see the same issue. So this bug has not
been fixed yet (or there is a regression).

Example:
aya:/home/vdanjean# update-grub
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
Generating grub.cfg ...
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
Found background image: /usr/share/images/desktop-base/desktop-grub.png
error: superfluous RAID member (4 found).
Found linux image: /boot/vmlinuz-2.6.38-2-amd64
Found initrd image: /boot/initrd.img-2.6.38-2-amd64
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
Found linux image: /boot/vmlinuz-2.6.38-1-amd64
Found initrd image: /boot/initrd.img-2.6.38-1-amd64
Found linux image: /boot/vmlinuz-2.6.37-trunk-amd64
Found initrd image: /boot/initrd.img-2.6.37-trunk-amd64
Found linux image: /boot/vmlinuz-2.6.37-rc7-amd64
Found initrd image: /boot/initrd.img-2.6.37-rc7-amd64
Found linux image: /boot/vmlinuz-2.6.32-5-amd64
Found initrd image: /boot/initrd.img-2.6.32-5-amd64
error: superfluous RAID member (4 found).
Found memtest86 image: /memtest86.bin
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
error: superfluous RAID member (4 found).
Found memtest86+ image: /memtest86+.bin
Found memtest86+ multiboot image: /memtest86+_multiboot.bin
done
aya:/home/vdanjean#



-- Package-specific info:

*********************** BEGIN /proc/mounts
/dev/mapper/aya+raid1-root / ext4 rw,relatime,errors=remount-ro,barrier=1,stripe=96,data=ordered 0 0
/dev/sdc2 /boot ext4 rw,relatime,barrier=1,stripe=96,data=ordered 0 0
/dev/mapper/aya+raid6-photos /srv/photos ext4 rw,relatime,barrier=1,stripe=96,data=ordered 0 0
/dev/mapper/aya+raid1-kvm /srv/kvm ext4 rw,relatime,barrier=1,stripe=96,data=ordered 0 0
/dev/mapper/aya+raid6-chenin /srv/chenin ext4 rw,relatime,barrier=1,stripe=96,data=ordered 0 0
/dev/mapper/aya+raid5-backuppc /srv/backuppc ext4 rw,relatime,barrier=1,stripe=96,data=ordered 0 0
/dev/mapper/aya+raid6-archives /srv/archives ext4 rw,relatime,barrier=1,stripe=96,data=ordered 0 0
/dev/mapper/aya+raid5-multimedia /srv/multimedia ext4 rw,relatime,acl,barrier=1,stripe=96,data=ordered 0 0
/dev/mapper/aya+raid6-photos /var/lib/piwigo/web/galleries ext4 ro,relatime,barrier=1,stripe=96,data=ordered 0 0
*********************** END /proc/mounts

*********************** BEGIN /boot/grub/device.map
(hd0)	/dev/disk/by-id/ata-WDC_WD3000JB-00KFA0_WD-WCAMR1302011
(hd1)	/dev/disk/by-id/ata-WDC_WD15EARS-00Z5B1_WD-WMAVU2909663
(hd2)	/dev/disk/by-id/ata-Hitachi_HDP725050GLA360_GEC534RF2KYP6E
(hd3)	/dev/disk/by-id/ata-WDC_WD15EARS-00Z5B1_WD-WMAVU2984608
(hd4)	/dev/disk/by-id/ata-Hitachi_HDP725050GLA360_GEC534RF2L4R9E
(hd5)	/dev/disk/by-id/ata-Hitachi_HDP725050GLA360_GEC534RF2KYN4E
*********************** END /boot/grub/device.map

*********************** BEGIN /boot/grub/grub.cfg
#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by grub-mkconfig using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
if [ -s $prefix/grubenv ]; then
  load_env
fi
set default="0"
if [ "${prev_saved_entry}" ]; then
  set saved_entry="${prev_saved_entry}"
  save_env saved_entry
  set prev_saved_entry=
  save_env prev_saved_entry
  set boot_once=true
fi

function savedefault {
  if [ -z "${boot_once}" ]; then
    saved_entry="${chosen}"
    save_env saved_entry
  fi
}

function load_video {
  insmod vbe
  insmod vga
  insmod video_bochs
  insmod video_cirrus
}

insmod raid
insmod mdraid1x
insmod lvm
insmod part_gpt
insmod part_gpt
insmod ext2
set root='(aya+raid1-root)'
search --no-floppy --fs-uuid --set=root 7646047d-86ec-4fef-9813-64499bded639
if loadfont /usr/share/grub/unicode.pf2 ; then
  set gfxmode=640x480
  load_video
  insmod gfxterm
fi
terminal_output gfxterm
insmod part_gpt
insmod ext2
set root='(hd3,gpt2)'
search --no-floppy --fs-uuid --set=root f6feecea-3958-4cba-abbe-3ff46646d4dd
set locale_dir=($root)/grub/locale
set lang=fr_FR
insmod gettext
set timeout=5
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/05_debian_theme ###
insmod raid
insmod mdraid1x
insmod lvm
insmod part_gpt
insmod part_gpt
insmod ext2
set root='(aya+raid1-root)'
search --no-floppy --fs-uuid --set=root 7646047d-86ec-4fef-9813-64499bded639
insmod png
if background_image /usr/share/images/desktop-base/spacefun-grub.png; then
  set color_normal=light-gray/black
  set color_highlight=white/black
else
  set menu_color_normal=cyan/blue
  set menu_color_highlight=white/blue
fi
### END /etc/grub.d/05_debian_theme ###

### BEGIN /etc/grub.d/10_linux ###
menuentry 'Debian GNU/Linux, avec Linux 2.6.38-2-amd64' --class debian --class gnu-linux --class gnu --class os {
	insmod part_gpt
	insmod ext2
	set root='(hd3,gpt2)'
	search --no-floppy --fs-uuid --set=root f6feecea-3958-4cba-abbe-3ff46646d4dd
	echo	'Loading Linux 2.6.38-2-amd64 ...'
	linux	/vmlinuz-2.6.38-2-amd64 root=/dev/mapper/aya+raid1-root ro  quiet
	echo	'Loading initial ramdisk ...'
	initrd	/initrd.img-2.6.38-2-amd64
}
menuentry 'Debian GNU/Linux, avec Linux 2.6.38-2-amd64 (mode de dépannage)' --class debian --class gnu-linux --class gnu --class os {
	insmod part_gpt
	insmod ext2
	set root='(hd3,gpt2)'
	search --no-floppy --fs-uuid --set=root f6feecea-3958-4cba-abbe-3ff46646d4dd
	echo	'Loading Linux 2.6.38-2-amd64 ...'
	linux	/vmlinuz-2.6.38-2-amd64 root=/dev/mapper/aya+raid1-root ro single 
	echo	'Loading initial ramdisk ...'
	initrd	/initrd.img-2.6.38-2-amd64
}
menuentry 'Debian GNU/Linux, avec Linux 2.6.38-1-amd64' --class debian --class gnu-linux --class gnu --class os {
	insmod part_gpt
	insmod ext2
	set root='(hd3,gpt2)'
	search --no-floppy --fs-uuid --set=root f6feecea-3958-4cba-abbe-3ff46646d4dd
	echo	'Loading Linux 2.6.38-1-amd64 ...'
	linux	/vmlinuz-2.6.38-1-amd64 root=/dev/mapper/aya+raid1-root ro  quiet
	echo	'Loading initial ramdisk ...'
	initrd	/initrd.img-2.6.38-1-amd64
}
menuentry 'Debian GNU/Linux, avec Linux 2.6.38-1-amd64 (mode de dépannage)' --class debian --class gnu-linux --class gnu --class os {
	insmod part_gpt
	insmod ext2
	set root='(hd3,gpt2)'
	search --no-floppy --fs-uuid --set=root f6feecea-3958-4cba-abbe-3ff46646d4dd
	echo	'Loading Linux 2.6.38-1-amd64 ...'
	linux	/vmlinuz-2.6.38-1-amd64 root=/dev/mapper/aya+raid1-root ro single 
	echo	'Loading initial ramdisk ...'
	initrd	/initrd.img-2.6.38-1-amd64
}
menuentry 'Debian GNU/Linux, avec Linux 2.6.37-trunk-amd64' --class debian --class gnu-linux --class gnu --class os {
	insmod part_gpt
	insmod ext2
	set root='(hd3,gpt2)'
	search --no-floppy --fs-uuid --set=root f6feecea-3958-4cba-abbe-3ff46646d4dd
	echo	'Loading Linux 2.6.37-trunk-amd64 ...'
	linux	/vmlinuz-2.6.37-trunk-amd64 root=/dev/mapper/aya+raid1-root ro  quiet
	echo	'Loading initial ramdisk ...'
	initrd	/initrd.img-2.6.37-trunk-amd64
}
menuentry 'Debian GNU/Linux, avec Linux 2.6.37-trunk-amd64 (mode de dépannage)' --class debian --class gnu-linux --class gnu --class os {
	insmod part_gpt
	insmod ext2
	set root='(hd3,gpt2)'
	search --no-floppy --fs-uuid --set=root f6feecea-3958-4cba-abbe-3ff46646d4dd
	echo	'Loading Linux 2.6.37-trunk-amd64 ...'
	linux	/vmlinuz-2.6.37-trunk-amd64 root=/dev/mapper/aya+raid1-root ro single 
	echo	'Loading initial ramdisk ...'
	initrd	/initrd.img-2.6.37-trunk-amd64
}
menuentry 'Debian GNU/Linux, avec Linux 2.6.37-rc7-amd64' --class debian --class gnu-linux --class gnu --class os {
	insmod part_gpt
	insmod ext2
	set root='(hd3,gpt2)'
	search --no-floppy --fs-uuid --set=root f6feecea-3958-4cba-abbe-3ff46646d4dd
	echo	'Loading Linux 2.6.37-rc7-amd64 ...'
	linux	/vmlinuz-2.6.37-rc7-amd64 root=/dev/mapper/aya+raid1-root ro  quiet
	echo	'Loading initial ramdisk ...'
	initrd	/initrd.img-2.6.37-rc7-amd64
}
menuentry 'Debian GNU/Linux, avec Linux 2.6.37-rc7-amd64 (mode de dépannage)' --class debian --class gnu-linux --class gnu --class os {
	insmod part_gpt
	insmod ext2
	set root='(hd3,gpt2)'
	search --no-floppy --fs-uuid --set=root f6feecea-3958-4cba-abbe-3ff46646d4dd
	echo	'Loading Linux 2.6.37-rc7-amd64 ...'
	linux	/vmlinuz-2.6.37-rc7-amd64 root=/dev/mapper/aya+raid1-root ro single 
	echo	'Loading initial ramdisk ...'
	initrd	/initrd.img-2.6.37-rc7-amd64
}
menuentry 'Debian GNU/Linux, avec Linux 2.6.32-5-amd64' --class debian --class gnu-linux --class gnu --class os {
	insmod part_gpt
	insmod ext2
	set root='(hd3,gpt2)'
	search --no-floppy --fs-uuid --set=root f6feecea-3958-4cba-abbe-3ff46646d4dd
	echo	'Loading Linux 2.6.32-5-amd64 ...'
	linux	/vmlinuz-2.6.32-5-amd64 root=/dev/mapper/aya+raid1-root ro  quiet
	echo	'Loading initial ramdisk ...'
	initrd	/initrd.img-2.6.32-5-amd64
}
menuentry 'Debian GNU/Linux, avec Linux 2.6.32-5-amd64 (mode de dépannage)' --class debian --class gnu-linux --class gnu --class os {
	insmod part_gpt
	insmod ext2
	set root='(hd3,gpt2)'
	search --no-floppy --fs-uuid --set=root f6feecea-3958-4cba-abbe-3ff46646d4dd
	echo	'Loading Linux 2.6.32-5-amd64 ...'
	linux	/vmlinuz-2.6.32-5-amd64 root=/dev/mapper/aya+raid1-root ro single 
	echo	'Loading initial ramdisk ...'
	initrd	/initrd.img-2.6.32-5-amd64
}
### END /etc/grub.d/10_linux ###

### BEGIN /etc/grub.d/20_linux_xen ###
### END /etc/grub.d/20_linux_xen ###

### BEGIN /etc/grub.d/20_memtest86 ###
menuentry "Memory test (memtest86)" {
	linux16	/memtest86.bin
}
### END /etc/grub.d/20_memtest86 ###

### BEGIN /etc/grub.d/20_memtest86+ ###
menuentry "Memory test (memtest86+)" {
	insmod part_gpt
	insmod ext2
	set root='(hd3,gpt2)'
	search --no-floppy --fs-uuid --set=root f6feecea-3958-4cba-abbe-3ff46646d4dd
	linux16	/memtest86+.bin
}
menuentry "Memory test (memtest86+, serial console 115200)" {
	insmod part_gpt
	insmod ext2
	set root='(hd3,gpt2)'
	search --no-floppy --fs-uuid --set=root f6feecea-3958-4cba-abbe-3ff46646d4dd
	linux16	/memtest86+.bin console=ttyS0,115200n8
}
menuentry "Memory test (memtest86+, experimental multiboot)" {
	insmod part_gpt
	insmod ext2
	set root='(hd3,gpt2)'
	search --no-floppy --fs-uuid --set=root f6feecea-3958-4cba-abbe-3ff46646d4dd
	multiboot	/memtest86+_multiboot.bin
}
menuentry "Memory test (memtest86+, serial console 115200, experimental multiboot)" {
	insmod part_gpt
	insmod ext2
	set root='(hd3,gpt2)'
	search --no-floppy --fs-uuid --set=root f6feecea-3958-4cba-abbe-3ff46646d4dd
	multiboot	/memtest86+_multiboot.bin console=ttyS0,115200n8
}
### END /etc/grub.d/20_memtest86+ ###

### BEGIN /etc/grub.d/30_os-prober ###
### END /etc/grub.d/30_os-prober ###

### BEGIN /etc/grub.d/40_custom ###
# This file provides an easy way to add custom menu entries.  Simply type the
# menu entries you want to add after this comment.  Be careful not to change
# the 'exec tail' line above.
### END /etc/grub.d/40_custom ###

### BEGIN /etc/grub.d/41_custom ###
if [ -f  $prefix/custom.cfg ]; then
  source $prefix/custom.cfg;
fi
### END /etc/grub.d/41_custom ###
*********************** END /boot/grub/grub.cfg

*********************** BEGIN /proc/mdstat
Personalities : [raid1] [raid6] [raid5] [raid4] 
md125 : active raid1 sda2[0] sdc5[1]
      314572664 blocks super 1.0 [2/2] [UU]
      
md126 : active raid6 sda4[0] sde2[4] sdd2[3] sdc4[2] sdb2[1]
      678717696 blocks super 1.0 level 6, 128k chunk, algorithm 2 [5/5] [UUUUU]
      
md127 : active raid5 sda3[0] sde1[4](S) sdd1[5] sdc3[2] sdb1[1]
      786431232 blocks super 1.0 level 5, 128k chunk, algorithm 2 [4/4] [UUUU]
      
unused devices: <none>
*********************** END /proc/mdstat

*********************** BEGIN LVM

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages grub-pc depends on:
ii  debconf [debconf-2.0]        1.5.38      Debian configuration management sy
ii  grub-common                  1.99~rc1-13 GRand Unified Bootloader, version 
ii  libc6                        2.11.2-11   Embedded GNU C Library: Shared lib
ii  libdevmapper1.02.1           2:1.02.63-3 The Linux Kernel Device Mapper use
ii  ucf                          3.0025+nmu1 Update Configuration File: preserv

grub-pc recommends no packages.

Versions of packages grub-pc suggests:
ii  desktop-base                  6.0.6      common files for the Debian Deskto

-- debconf information:
  grub2/kfreebsd_cmdline:
* grub2/device_map_regenerated:
* grub2/linux_cmdline:
  grub-pc/install_devices_empty: false
* grub-pc/install_devices_failed: true
* grub-pc/chainload_from_menu.lst: true
  grub-pc/kopt_extracted: true
* grub-pc/install_devices: /dev/disk/by-id/ata-WDC_WD15EARS-00Z5B1_WD-WMAVU2909663, /dev/disk/by-id/ata-WDC_WD15EARS-00Z5B1_WD-WMAVU2984608
  grub-pc/postrm_purge_boot_grub: false
  grub-pc/install_devices_failed_upgrade: true
  grub-pc/disk_description:
  grub2/kfreebsd_cmdline_default: quiet
  grub-pc/partition_description:
* grub-pc/install_devices_disks_changed: /dev/disk/by-id/ata-WDC_WD15EARS-00Z5B1_WD-WMAVU2909663, /dev/disk/by-id/ata-WDC_WD15EARS-00Z5B1_WD-WMAVU2984608
* grub2/linux_cmdline_default: quiet
  grub-pc/mixed_legacy_and_grub2: true




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#610184; Package grub-pc. (Mon, 11 Jul 2011 15:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Tsang <miklcct@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Mon, 11 Jul 2011 15:09:05 GMT) Full text and rfc822 format available.

Message #59 received at 610184@bugs.debian.org (full text, mbox):

From: Michael Tsang <miklcct@gmail.com>
To: Debian Bug Tracking System <610184@bugs.debian.org>
Subject: Re: I still see some related things on my grub-pc (1.99-6)
Date: Mon, 11 Jul 2011 23:06:14 +0800
Package: grub-pc
Version: 1.99-6
Followup-For: Bug #610184

My GRUB and LVM information is already shown below.
Here are my disk partitioning and RAID information:

(note that I don't use the auto raid feature in the kernel because it corrupted
my array before)

root@debian:/home/michael# fdisk -cul /dev/sd?

Disk /dev/sda: 122.9 GB, 122942324736 bytes
255 heads, 63 sectors/track, 14946 cylinders, total 240121728 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0xaf2c136a

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1            2048    78163246    39080599+  da  Non-FS data
/dev/sda2        78163247   240121727    80979240+  8e  Linux LVM

Disk /dev/sdb: 40.0 GB, 40019582464 bytes
112 heads, 29 sectors/track, 24065 cylinders, total 78163247 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x676f84fc

   Device Boot      Start         End      Blocks   Id  System
/dev/sdb1            2048    78163246    39080599+  da  Non-FS data

Disk /dev/sdc: 160.0 GB, 160040803840 bytes
255 heads, 63 sectors/track, 19457 cylinders, total 312579695 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x0004511e

   Device Boot      Start         End      Blocks   Id  System
/dev/sdc1              63   312565423   156282680+  8e  Linux LVM
/dev/sdc2   *   312565424   312579694        7135+  83  Linux

Disk /dev/sdd: 160.0 GB, 160040803840 bytes
255 heads, 63 sectors/track, 19457 cylinders, total 312579695 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x00000000

   Device Boot      Start         End      Blocks   Id  System
/dev/sdd1              63   312576704   156288321   8e  Linux LVM
root@debian:/home/michael# ls /dev/md*
/dev/md127

/dev/md:
127_0
root@debian:/home/michael# mdadm --detail /dev/md127
/dev/md127:
        Version : 0.90
  Creation Time : Wed Jul  7 12:30:45 2010
     Raid Level : raid1
     Array Size : 39080512 (37.27 GiB 40.02 GB)
  Used Dev Size : 39080512 (37.27 GiB 40.02 GB)
   Raid Devices : 2
  Total Devices : 2
Preferred Minor : 127
    Persistence : Superblock is persistent

    Update Time : Mon Jul 11 22:53:09 2011
          State : clean
 Active Devices : 2
Working Devices : 2
 Failed Devices : 0
  Spare Devices : 0

           UUID : 2c05f51b:dc8b44d7:9d4deba6:47ca997f (local to host debian)
         Events : 0.395

    Number   Major   Minor   RaidDevice State
       0       8        1        0      active sync   /dev/sda1
       1       8       17        1      active sync   /dev/sdb1

root@debian:/home/michael# cat /etc/mdadm/mdadm.conf
# mdadm.conf
#
# Please refer to mdadm.conf(5) for information about this file.
#

# by default, scan all partitions (/proc/partitions) for MD superblocks.
# alternatively, specify devices to scan, using wildcards if desired.
DEVICE /dev/sd??*

# auto-create devices with Debian standard permissions
CREATE owner=root group=disk mode=0660 auto=yes

# automatically tag new arrays as belonging to the local system
HOMEHOST <system>

# instruct the monitoring daemon where to send mail alerts
MAILADDR root

# definitions of existing MD arrays

# This file was auto-generated on Wed, 07 Jul 2010 11:32:41 +0800
# by mkconf 3.0.3-2
root@debian:/home/michael# update-grub
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
Generating grub.cfg ...
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
Found background image: /usr/share/images/desktop-base/desktop-grub.png
error: superfluous RAID member (2 found).
Found linux image: /boot/vmlinuz-2.6.39-2-amd64
Found initrd image: /boot/initrd.img-2.6.39-2-amd64
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
error: superfluous RAID member (2 found).
File descriptor 4 (/dev/urandom) leaked on lvs invocation. Parent PID 21466:
/bin/sh
done
root@debian:/home/michael#



-- Package-specific info:

*********************** BEGIN /proc/mounts
/dev/mapper/vg0-ubuntu / ext3 rw,relatime,errors=remount-ro,commit=5,barrier=0,data=ordered 0 0
/dev/sdc2 /boot/grub ext2 rw,relatime,errors=continue 0 0
/dev/mapper/vg0-home /home ext4 rw,nosuid,nodev,relatime,user_xattr,acl,barrier=1,data=ordered 0 0
/dev/md127 /srv ext4 rw,nosuid,nodev,relatime,user_xattr,acl,barrier=1,data=ordered 0 0
*********************** END /proc/mounts

*********************** BEGIN /boot/grub/device.map
(fd0)	/dev/fd0
(hd0)	/dev/disk/by-id/ata-ST3160811AS_5PT125EP
(hd1)	/dev/disk/by-id/ata-SAMSUNG_HD161HJ_S0V3J90P624967
(hd2)	/dev/disk/by-id/ata-Maxtor_6Y120P0_Y32HL0DE
(hd3)	/dev/disk/by-id/ata-ST340810A_5FBABL0Q
*********************** END /boot/grub/device.map

*********************** BEGIN /boot/grub/grub.cfg
#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by grub-mkconfig using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
if [ -s $prefix/grubenv ]; then
  load_env
fi
set default="0"
if [ "${prev_saved_entry}" ]; then
  set saved_entry="${prev_saved_entry}"
  save_env saved_entry
  set prev_saved_entry=
  save_env prev_saved_entry
  set boot_once=true
fi

function savedefault {
  if [ -z "${boot_once}" ]; then
    saved_entry="${chosen}"
    save_env saved_entry
  fi
}

function load_video {
  insmod vbe
  insmod vga
  insmod video_bochs
  insmod video_cirrus
}

insmod lvm
insmod part_msdos
insmod part_msdos
insmod part_msdos
insmod ext2
set root='(vg0-ubuntu)'
search --no-floppy --fs-uuid --set=root f341a5aa-fc1b-4395-9e5a-80ee0617da71
if loadfont /usr/share/grub/unicode.pf2 ; then
  set gfxmode=1280x1024
  load_video
  insmod gfxterm
  insmod part_msdos
  insmod ext2
  set root='(hd0,msdos2)'
  search --no-floppy --fs-uuid --set=root b932abb1-e4dd-4c33-b49c-375aed1930c7
  set locale_dir=($root)/locale
  set lang=en_HK
  insmod gettext
fi
terminal_output gfxterm
set timeout=5
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/05_debian_theme ###
insmod lvm
insmod part_msdos
insmod part_msdos
insmod part_msdos
insmod ext2
set root='(vg0-ubuntu)'
search --no-floppy --fs-uuid --set=root f341a5aa-fc1b-4395-9e5a-80ee0617da71
insmod png
if background_image /usr/share/images/desktop-base/spacefun-grub.png; then
  set color_normal=light-gray/black
  set color_highlight=white/black
else
  set menu_color_normal=cyan/blue
  set menu_color_highlight=white/blue
fi
### END /etc/grub.d/05_debian_theme ###

### BEGIN /etc/grub.d/10_linux ###
menuentry 'Debian GNU/Linux, with Linux 2.6.39-2-amd64' --class debian --class gnu-linux --class gnu --class os {
	insmod gzio
	insmod lvm
	insmod part_msdos
	insmod part_msdos
	insmod part_msdos
	insmod ext2
	set root='(vg0-ubuntu)'
	search --no-floppy --fs-uuid --set=root f341a5aa-fc1b-4395-9e5a-80ee0617da71
	echo	'Loading Linux 2.6.39-2-amd64 ...'
	linux	/boot/vmlinuz-2.6.39-2-amd64 root=/dev/mapper/vg0-ubuntu ro  quiet splash
	echo	'Loading initial ramdisk ...'
	initrd	/boot/initrd.img-2.6.39-2-amd64
}
menuentry 'Debian GNU/Linux, with Linux 2.6.39-2-amd64 (recovery mode)' --class debian --class gnu-linux --class gnu --class os {
	insmod gzio
	insmod lvm
	insmod part_msdos
	insmod part_msdos
	insmod part_msdos
	insmod ext2
	set root='(vg0-ubuntu)'
	search --no-floppy --fs-uuid --set=root f341a5aa-fc1b-4395-9e5a-80ee0617da71
	echo	'Loading Linux 2.6.39-2-amd64 ...'
	linux	/boot/vmlinuz-2.6.39-2-amd64 root=/dev/mapper/vg0-ubuntu ro single 
	echo	'Loading initial ramdisk ...'
	initrd	/boot/initrd.img-2.6.39-2-amd64
}
### END /etc/grub.d/10_linux ###

### BEGIN /etc/grub.d/20_linux_xen ###
### END /etc/grub.d/20_linux_xen ###

### BEGIN /etc/grub.d/20_memtest86+ ###
### END /etc/grub.d/20_memtest86+ ###

### BEGIN /etc/grub.d/30_os-prober ###
### END /etc/grub.d/30_os-prober ###

### BEGIN /etc/grub.d/40_custom ###
# This file provides an easy way to add custom menu entries.  Simply type the
# menu entries you want to add after this comment.  Be careful not to change
# the 'exec tail' line above.
### END /etc/grub.d/40_custom ###

### BEGIN /etc/grub.d/41_custom ###
if [ -f  $prefix/custom.cfg ]; then
  source $prefix/custom.cfg;
fi
### END /etc/grub.d/41_custom ###
*********************** END /boot/grub/grub.cfg

*********************** BEGIN /proc/mdstat
Personalities : [raid1] 
md127 : active raid1 sda1[0] sdb1[1]
      39080512 blocks [2/2] [UU]
      
unused devices: <none>
*********************** END /proc/mdstat

*********************** BEGIN LVM
  --- Volume group ---
  VG Name               vg0
  System ID             
  Format                lvm2
  Metadata Areas        3
  Metadata Sequence No  112
  VG Access             read/write
  VG Status             resizable
  MAX LV                0
  Cur LV                3
  Open LV               3
  Max PV                0
  Cur PV                3
  Act PV                3
  VG Size               375.31 GiB
  PE Size               4.00 MiB
  Total PE              96080
  Alloc PE / Size       96080 / 375.31 GiB
  Free  PE / Size       0 / 0   
  VG UUID               jfdlEu-lZha-xdfK-38Of-zI4K-9fCE-9FRlsx
   
  --- Physical volume ---
  PV Name               /dev/sdd1
  VG Name               vg0
  PV Size               149.05 GiB / not usable 987.50 KiB
  Allocatable           yes (but full)
  PE Size               4.00 MiB
  Total PE              38156
  Free PE               0
  Allocated PE          38156
  PV UUID               NdcTvC-baWb-B9lQ-0PYu-sEY6-c01S-ii4uWy
   
  --- Physical volume ---
  PV Name               /dev/sdc1
  VG Name               vg0
  PV Size               149.04 GiB / not usable 3.62 MiB
  Allocatable           yes (but full)
  PE Size               4.00 MiB
  Total PE              38154
  Free PE               0
  Allocated PE          38154
  PV UUID               7O6DEA-dzsC-2Vo9-34KP-3zTQ-W8HT-fE1Alz
   
  --- Physical volume ---
  PV Name               /dev/sda2
  VG Name               vg0
  PV Size               77.23 GiB / not usable 1.29 MiB
  Allocatable           yes (but full)
  PE Size               4.00 MiB
  Total PE              19770
  Free PE               0
  Allocated PE          19770
  PV UUID               a3YmdI-HM8T-SZbb-00D1-BYlG-LSxE-k25gs3
   
  --- Logical volume ---
  LV Name                /dev/vg0/home
  VG Name                vg0
  LV UUID                XE4yXP-0hXe-91Ue-cEwV-ePbP-VtMv-S2DYU0
  LV Write Access        read/write
  LV Status              available
  # open                 1
  LV Size                348.69 GiB
  Current LE             89264
  Segments               5
  Allocation             normal
  Read ahead sectors     auto
  - currently set to     256
  Block device           254:1
   
  --- Logical volume ---
  LV Name                /dev/vg0/ubuntu
  VG Name                vg0
  LV UUID                a3MxkZ-aWb6-fops-z98p-dPPB-qkZQ-28DZB2
  LV Write Access        read/write
  LV Status              available
  # open                 1
  LV Size                18.62 GiB
  Current LE             4768
  Segments               3
  Allocation             normal
  Read ahead sectors     auto
  - currently set to     256
  Block device           254:0
   
  --- Logical volume ---
  LV Name                /dev/vg0/swap
  VG Name                vg0
  LV UUID                hPi7eO-OuEz-dEQW-KR43-AqaH-dMeD-6XZB6n
  LV Write Access        read/write
  LV Status              available
  # open                 2
  LV Size                8.00 GiB
  Current LE             2048
  Segments               2
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           254:2
   
*********************** END LVM

*********************** BEGIN /dev/disk/by-id
total 0
lrwxrwxrwx 1 root root  9 Jul 11 22:41 ata-HL-DT-ST_DVDRAM_GSA-H62N_K58789D4411 -> ../../sr0
lrwxrwxrwx 1 root root  9 Jul 11 08:04 ata-Maxtor_6Y120P0_Y32HL0DE -> ../../sda
lrwxrwxrwx 1 root root 10 Jul 11 08:04 ata-Maxtor_6Y120P0_Y32HL0DE-part1 -> ../../sda1
lrwxrwxrwx 1 root root 10 Jul 11 08:05 ata-Maxtor_6Y120P0_Y32HL0DE-part2 -> ../../sda2
lrwxrwxrwx 1 root root  9 Jul 11 08:04 ata-SAMSUNG_HD161HJ_S0V3J90P624967 -> ../../sdd
lrwxrwxrwx 1 root root 10 Jul 11 08:05 ata-SAMSUNG_HD161HJ_S0V3J90P624967-part1 -> ../../sdd1
lrwxrwxrwx 1 root root  9 Jul 11 08:05 ata-ST3160811AS_5PT125EP -> ../../sdc
lrwxrwxrwx 1 root root 10 Jul 11 08:05 ata-ST3160811AS_5PT125EP-part1 -> ../../sdc1
lrwxrwxrwx 1 root root 10 Jul 11 08:05 ata-ST3160811AS_5PT125EP-part2 -> ../../sdc2
lrwxrwxrwx 1 root root  9 Jul 11 08:04 ata-ST340810A_5FBABL0Q -> ../../sdb
lrwxrwxrwx 1 root root 10 Jul 11 08:04 ata-ST340810A_5FBABL0Q-part1 -> ../../sdb1
lrwxrwxrwx 1 root root 10 Jul 11 08:04 dm-name-vg0-home -> ../../dm-1
lrwxrwxrwx 1 root root 10 Jul 11 08:04 dm-name-vg0-swap -> ../../dm-2
lrwxrwxrwx 1 root root 10 Jul 10 23:15 dm-name-vg0-ubuntu -> ../../dm-0
lrwxrwxrwx 1 root root 10 Jul 11 08:04 dm-uuid-LVM-jfdlEulZhaxdfK38OfzI4K9fCE9FRlsxXE4yXP0hXe91UecEwVePbPVtMvS2DYU0 -> ../../dm-1
lrwxrwxrwx 1 root root 10 Jul 10 23:15 dm-uuid-LVM-jfdlEulZhaxdfK38OfzI4K9fCE9FRlsxa3MxkZaWb6fopsz98pdPPBqkZQ28DZB2 -> ../../dm-0
lrwxrwxrwx 1 root root 10 Jul 11 08:04 dm-uuid-LVM-jfdlEulZhaxdfK38OfzI4K9fCE9FRlsxhPi7eOOuEzdEQWKR43AqaHdMeD6XZB6n -> ../../dm-2
lrwxrwxrwx 1 root root 11 Jul 11 08:04 md-uuid-2c05f51b:dc8b44d7:9d4deba6:47ca997f -> ../../md127
lrwxrwxrwx 1 root root  9 Jul 11 08:04 scsi-SATA_Maxtor_6Y120P0_Y32HL0DE -> ../../sda
lrwxrwxrwx 1 root root 10 Jul 11 08:04 scsi-SATA_Maxtor_6Y120P0_Y32HL0DE-part1 -> ../../sda1
lrwxrwxrwx 1 root root 10 Jul 11 08:05 scsi-SATA_Maxtor_6Y120P0_Y32HL0DE-part2 -> ../../sda2
lrwxrwxrwx 1 root root  9 Jul 11 08:04 scsi-SATA_SAMSUNG_HD161HJS0V3J90P624967 -> ../../sdd
lrwxrwxrwx 1 root root 10 Jul 11 08:05 scsi-SATA_SAMSUNG_HD161HJS0V3J90P624967-part1 -> ../../sdd1
lrwxrwxrwx 1 root root  9 Jul 11 08:05 scsi-SATA_ST3160811AS_5PT125EP -> ../../sdc
lrwxrwxrwx 1 root root 10 Jul 11 08:05 scsi-SATA_ST3160811AS_5PT125EP-part1 -> ../../sdc1
lrwxrwxrwx 1 root root 10 Jul 11 08:05 scsi-SATA_ST3160811AS_5PT125EP-part2 -> ../../sdc2
lrwxrwxrwx 1 root root  9 Jul 11 08:04 scsi-SATA_ST340810A_5FBABL0Q -> ../../sdb
lrwxrwxrwx 1 root root 10 Jul 11 08:04 scsi-SATA_ST340810A_5FBABL0Q-part1 -> ../../sdb1
lrwxrwxrwx 1 root root  9 Jul 11 08:04 wwn-0x50000f009b624967 -> ../../sdd
lrwxrwxrwx 1 root root 10 Jul 11 08:05 wwn-0x50000f009b624967-part1 -> ../../sdd1
*********************** END /dev/disk/by-id

*********************** BEGIN /dev/disk/by-uuid
total 0
lrwxrwxrwx 1 root root 10 Jul 11 08:04 30403406-d567-4e61-b9e0-3b3389d68ee0 -> ../../dm-1
lrwxrwxrwx 1 root root 10 Jul 11 08:04 3e196228-2b67-41c2-ab5b-8062e5fed68c -> ../../dm-2
lrwxrwxrwx 1 root root 11 Jul 11 08:04 499dfc16-1292-4095-9750-6ddc43c3391d -> ../../md127
lrwxrwxrwx 1 root root 10 Jul 11 08:05 b932abb1-e4dd-4c33-b49c-375aed1930c7 -> ../../sdc2
lrwxrwxrwx 1 root root 10 Jul 10 23:15 f341a5aa-fc1b-4395-9e5a-80ee0617da71 -> ../../dm-0
*********************** END /dev/disk/by-uuid

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_HK.UTF-8, LC_CTYPE=en_HK.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages grub-pc depends on:
ii  debconf [debconf-2.0]        1.5.40      Debian configuration management sy
ii  grub-common                  1.99-6      GRand Unified Bootloader (common f
ii  grub-pc-bin                  1.99-6      GRand Unified Bootloader, version 
ii  grub2-common                 1.99-6      GRand Unified Bootloader (common f
ii  ucf                          3.0025+nmu2 Update Configuration File: preserv

grub-pc recommends no packages.

grub-pc suggests no packages.

-- debconf information:
  grub2/kfreebsd_cmdline:
* grub2/device_map_regenerated:
* grub2/linux_cmdline:
  grub-pc/install_devices_empty: false
  grub-pc/install_devices_failed: false
  grub-pc/chainload_from_menu.lst: true
  grub-pc/kopt_extracted: false
* grub-pc/install_devices: /dev/disk/by-id/ata-ST3160811AS_5PT125EP
  grub-pc/postrm_purge_boot_grub: false
  grub-pc/install_devices_failed_upgrade: true
  grub-pc/disk_description:
  grub2/kfreebsd_cmdline_default: quiet
  grub-pc/partition_description:
  grub-pc/install_devices_disks_changed:
* grub2/linux_cmdline_default: quiet splash
  grub-pc/mixed_legacy_and_grub2: true




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#610184; Package grub-pc. (Sun, 07 Aug 2011 14:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pascal Volk <user@localhost.localdomain.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 07 Aug 2011 14:33:10 GMT) Full text and rfc822 format available.

Message #64 received at 610184@bugs.debian.org (full text, mbox):

From: Pascal Volk <user@localhost.localdomain.org>
To: Debian Bug Tracking System <610184@bugs.debian.org>
Subject: Re: error: superfluous RAID member - also in grub-pc (1.99-9)
Date: Sun, 07 Aug 2011 16:21:49 +0200
Package: grub-pc
Version: 1.99-9
Followup-For: Bug #610184

I've just upgraded some packages, also grub-common (1.99-9), grub2-common
(1.99-9), grub-pc-bin (1.99-9) and grub-pc (1.99-9). The problem, which
should have been fixed in 1.99~rc1-9, is still present:

        Setting up grub-pc (1.99-9) ...
        error: superfluous RAID member (2 found).
        error: superfluous RAID member (2 found).
        …
        Installation finished. No error reported
        …
        error: superfluous RAID member (2 found).
        error: superfluous RAID member (2 found).
        Installation finished. No error reported.
        …
        error: superfluous RAID member (2 found).
        error: superfluous RAID member (2 found).
        Installation finished. No error reported.
        …
        error: superfluous RAID member (2 found).
        Generating grub.cfg ...
        error: superfluous RAID member (2 found).
        …
        error: superfluous RAID member (2 found).
        Found linux image: /boot/vmlinuz-2.6.39-2-amd64
        Found initrd image: /boot/initrd.img-2.6.39-2-amd64
        error: superfluous RAID member (2 found).
        …
        error: superfluous RAID member (2 found).
        Found linux image: /boot/vmlinuz-2.6.38-2-amd64
        Found initrd image: /boot/initrd.img-2.6.38-2-amd64
        done

Please contact me if you need more details.


Best Regards,

Pascal
-- Package-specific info:

*********************** BEGIN /proc/mounts
/dev/md0 / ext3 rw,relatime,errors=remount-ro,barrier=0,data=ordered 0 0
/dev/md1 /var ext3 rw,nodev,noatime,errors=continue,barrier=0,data=ordered 0 0
/dev/md2 /srv ext3 rw,nodev,noexec,noatime,errors=continue,barrier=0,data=ordered 0 0
/dev/md1 /run ext3 rw,nodev,noatime,errors=continue,barrier=0,data=ordered 0 0
/dev/md1 /run/lock ext3 rw,nodev,noatime,errors=continue,barrier=0,data=ordered 0 0
*********************** END /proc/mounts

*********************** BEGIN /boot/grub/device.map
(hd0)	/dev/disk/by-id/ata-WDC_WD5000ABYS-01TNA0_WD-WCAPW2296202
(hd1)	/dev/disk/by-id/ata-WDC_WD5002ABYS-01B1B0_WD-WCASY3520075
(hd2)	/dev/disk/by-id/ata-WDC_WD5000ABYS-01TNA0_WD-WCAPW2590664
*********************** END /boot/grub/device.map

*********************** BEGIN /boot/grub/grub.cfg
#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by grub-mkconfig using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
if [ -s $prefix/grubenv ]; then
  load_env
fi
set default="0"
if [ "${prev_saved_entry}" ]; then
  set saved_entry="${prev_saved_entry}"
  save_env saved_entry
  set prev_saved_entry=
  save_env prev_saved_entry
  set boot_once=true
fi

function savedefault {
  if [ -z "${boot_once}" ]; then
    saved_entry="${chosen}"
    save_env saved_entry
  fi
}

function load_video {
  insmod vbe
  insmod vga
  insmod video_bochs
  insmod video_cirrus
}

insmod raid
insmod mdraid09
insmod part_msdos
insmod ext2
set root='(mduuid/864ad16ca0dc2b39b932cd44a87fcbb1)'
search --no-floppy --fs-uuid --set=root cfc7522a-bb53-46f2-b8ae-8160792b42d0
if loadfont /usr/share/grub/unicode.pf2 ; then
  set gfxmode=640x480
  load_video
  insmod gfxterm
  insmod raid
  insmod mdraid09
  insmod part_msdos
  insmod ext2
  set root='(mduuid/864ad16ca0dc2b39b932cd44a87fcbb1)'
  search --no-floppy --fs-uuid --set=root cfc7522a-bb53-46f2-b8ae-8160792b42d0
  set locale_dir=($root)/boot/grub/locale
  set lang=en_US
  insmod gettext
fi
terminal_output gfxterm
set timeout=5
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/05_debian_theme ###
set menu_color_normal=cyan/blue
set menu_color_highlight=white/blue
### END /etc/grub.d/05_debian_theme ###

### BEGIN /etc/grub.d/10_linux ###
menuentry 'Debian GNU/Linux, with Linux 2.6.39-2-amd64' --class debian --class gnu-linux --class gnu --class os {
	insmod gzio
	insmod raid
	insmod mdraid09
	insmod part_msdos
	insmod ext2
	set root='(mduuid/864ad16ca0dc2b39b932cd44a87fcbb1)'
	search --no-floppy --fs-uuid --set=root cfc7522a-bb53-46f2-b8ae-8160792b42d0
	echo	'Loading Linux 2.6.39-2-amd64 ...'
	linux	/boot/vmlinuz-2.6.39-2-amd64 root=/dev/md0 ro vga=791 noresume printk.time=0 quiet
	echo	'Loading initial ramdisk ...'
	initrd	/boot/initrd.img-2.6.39-2-amd64
}
menuentry 'Debian GNU/Linux, with Linux 2.6.39-2-amd64 (recovery mode)' --class debian --class gnu-linux --class gnu --class os {
	insmod gzio
	insmod raid
	insmod mdraid09
	insmod part_msdos
	insmod ext2
	set root='(mduuid/864ad16ca0dc2b39b932cd44a87fcbb1)'
	search --no-floppy --fs-uuid --set=root cfc7522a-bb53-46f2-b8ae-8160792b42d0
	echo	'Loading Linux 2.6.39-2-amd64 ...'
	linux	/boot/vmlinuz-2.6.39-2-amd64 root=/dev/md0 ro single vga=791 noresume
	echo	'Loading initial ramdisk ...'
	initrd	/boot/initrd.img-2.6.39-2-amd64
}
menuentry 'Debian GNU/Linux, with Linux 2.6.38-2-amd64' --class debian --class gnu-linux --class gnu --class os {
	insmod gzio
	insmod raid
	insmod mdraid09
	insmod part_msdos
	insmod ext2
	set root='(mduuid/864ad16ca0dc2b39b932cd44a87fcbb1)'
	search --no-floppy --fs-uuid --set=root cfc7522a-bb53-46f2-b8ae-8160792b42d0
	echo	'Loading Linux 2.6.38-2-amd64 ...'
	linux	/boot/vmlinuz-2.6.38-2-amd64 root=/dev/md0 ro vga=791 noresume printk.time=0 quiet
	echo	'Loading initial ramdisk ...'
	initrd	/boot/initrd.img-2.6.38-2-amd64
}
menuentry 'Debian GNU/Linux, with Linux 2.6.38-2-amd64 (recovery mode)' --class debian --class gnu-linux --class gnu --class os {
	insmod gzio
	insmod raid
	insmod mdraid09
	insmod part_msdos
	insmod ext2
	set root='(mduuid/864ad16ca0dc2b39b932cd44a87fcbb1)'
	search --no-floppy --fs-uuid --set=root cfc7522a-bb53-46f2-b8ae-8160792b42d0
	echo	'Loading Linux 2.6.38-2-amd64 ...'
	linux	/boot/vmlinuz-2.6.38-2-amd64 root=/dev/md0 ro single vga=791 noresume
	echo	'Loading initial ramdisk ...'
	initrd	/boot/initrd.img-2.6.38-2-amd64
}
### END /etc/grub.d/10_linux ###

### BEGIN /etc/grub.d/20_linux_xen ###
### END /etc/grub.d/20_linux_xen ###

### BEGIN /etc/grub.d/30_os-prober ###
### END /etc/grub.d/30_os-prober ###

### BEGIN /etc/grub.d/40_custom ###
# This file provides an easy way to add custom menu entries.  Simply type the
# menu entries you want to add after this comment.  Be careful not to change
# the 'exec tail' line above.
### END /etc/grub.d/40_custom ###

### BEGIN /etc/grub.d/41_custom ###
if [ -f  $prefix/custom.cfg ]; then
  source $prefix/custom.cfg;
fi
### END /etc/grub.d/41_custom ###
*********************** END /boot/grub/grub.cfg

*********************** BEGIN /proc/mdstat
Personalities : [raid1] 
md2 : active raid1 sda4[0] sdb4[2](S) sdc4[1]
      211045824 blocks [2/2] [UU]
      
md1 : active raid1 sda3[0] sdb3[2](S) sdc3[1]
      244139712 blocks [2/2] [UU]
      
md0 : active raid1 sda1[0] sdb1[2](S) sdc1[1]
      29294400 blocks [2/2] [UU]
      
unused devices: <none>
*********************** END /proc/mdstat

*********************** BEGIN LVM

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing'), (1, 'unstable')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages grub-pc depends on:
ii  debconf [debconf-2.0]        1.5.40      Debian configuration management sy
ii  grub-common                  1.99-9      GRand Unified Bootloader (common f
ii  grub-pc-bin                  1.99-9      GRand Unified Bootloader, version 
ii  grub2-common                 1.99-9      GRand Unified Bootloader (common f
ii  ucf                          3.0025+nmu2 Update Configuration File: preserv

grub-pc recommends no packages.

grub-pc suggests no packages.

-- debconf information:
  grub2/kfreebsd_cmdline:
* grub2/device_map_regenerated:
* grub-pc/linux_cmdline:
* grub2/linux_cmdline: vga=791 noresume
  grub-pc/install_devices_empty: false
  grub-pc/install_devices_failed: false
* grub-pc/chainload_from_menu.lst: true
  grub-pc/kopt_extracted: false
* grub-pc/install_devices: /dev/disk/by-id/ata-WDC_WD5000ABYS-01TNA0_WD-WCAPW2296202, /dev/disk/by-id/ata-WDC_WD5002ABYS-01B1B0_WD-WCASY3520075, /dev/disk/by-id/ata-WDC_WD5000ABYS-01TNA0_WD-WCAPW2590664
  grub-pc/postrm_purge_boot_grub: false
  grub-pc/install_devices_failed_upgrade: true
  grub-pc/disk_description:
  grub2/kfreebsd_cmdline_default: quiet
  grub-pc/partition_description:
* grub-pc/install_devices_disks_changed: /dev/disk/by-id/ata-WDC_WD5000ABYS-01TNA0_WD-WCAPW2296202, /dev/disk/by-id/ata-WDC_WD5002ABYS-01B1B0_WD-WCASY3520075, /dev/disk/by-id/ata-WDC_WD5000ABYS-01TNA0_WD-WCAPW2590664
* grub2/linux_cmdline_default: printk.time=0 quiet
  grub-pc/mixed_legacy_and_grub2: true




Bug No longer marked as fixed in versions grub2/1.99~rc1-9 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 26 Aug 2011 23:33:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#610184; Package grub-pc. (Sun, 04 Mar 2012 21:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Sun, 04 Mar 2012 21:27:04 GMT) Full text and rfc822 format available.

Message #71 received at 610184@bugs.debian.org (full text, mbox):

From: Vladimir 'φ-coder/phcoder' Serbinenko <phcoder@gmail.com>
To: Michael Tsang <miklcct@gmail.com>, 610184@bugs.debian.org, Debian Bug Tracking System <control@bugs.debian.org>
Subject: Re: Bug#610184: I still see some related things on my grub-pc (1.99-6)
Date: Sun, 04 Mar 2012 22:22:45 +0100
tag 610184 fixed-upstream
thanks
On 11.07.2011 17:06, Michael Tsang wrote:
> Package: grub-pc
> Version: 1.99-6
> Followup-For: Bug #610184
>
> My GRUB and LVM information is already shown below.
> Here are my disk partitioning and RAID information:
>
> (note that I don't use the auto raid feature in the kernel because it corrupted
> my array before)
>
> root@debian:/home/michael# fdisk -cul /dev/sd?
>
> Disk /dev/sda: 122.9 GB, 122942324736 bytes
> 255 heads, 63 sectors/track, 14946 cylinders, total 240121728 sectors
> Units = sectors of 1 * 512 = 512 bytes
> Sector size (logical/physical): 512 bytes / 512 bytes
> I/O size (minimum/optimal): 512 bytes / 512 bytes
> Disk identifier: 0xaf2c136a
>
>     Device Boot      Start         End      Blocks   Id  System
> /dev/sda1            2048    78163246    39080599+  da  Non-FS data
> /dev/sda2        78163247   240121727    80979240+  8e  Linux LVM
>
> Disk /dev/sdb: 40.0 GB, 40019582464 bytes
> 112 heads, 29 sectors/track, 24065 cylinders, total 78163247 sectors
> Units = sectors of 1 * 512 = 512 bytes
> Sector size (logical/physical): 512 bytes / 512 bytes
> I/O size (minimum/optimal): 512 bytes / 512 bytes
> Disk identifier: 0x676f84fc
>
>     Device Boot      Start         End      Blocks   Id  System
> /dev/sdb1            2048    78163246    39080599+  da  Non-FS data
>
> Disk /dev/sdc: 160.0 GB, 160040803840 bytes
> 255 heads, 63 sectors/track, 19457 cylinders, total 312579695 sectors
> Units = sectors of 1 * 512 = 512 bytes
> Sector size (logical/physical): 512 bytes / 512 bytes
> I/O size (minimum/optimal): 512 bytes / 512 bytes
> Disk identifier: 0x0004511e
>
>     Device Boot      Start         End      Blocks   Id  System
> /dev/sdc1              63   312565423   156282680+  8e  Linux LVM
> /dev/sdc2   *   312565424   312579694        7135+  83  Linux
>
> Disk /dev/sdd: 160.0 GB, 160040803840 bytes
> 255 heads, 63 sectors/track, 19457 cylinders, total 312579695 sectors
> Units = sectors of 1 * 512 = 512 bytes
> Sector size (logical/physical): 512 bytes / 512 bytes
> I/O size (minimum/optimal): 512 bytes / 512 bytes
> Disk identifier: 0x00000000
>
>     Device Boot      Start         End      Blocks   Id  System
> /dev/sdd1              63   312576704   156288321   8e  Linux LVM
> root@debian:/home/michael# ls /dev/md*
> /dev/md127
>
> /dev/md:
> 127_0
> root@debian:/home/michael# mdadm --detail /dev/md127
> /dev/md127:
>          Version : 0.90
>    Creation Time : Wed Jul  7 12:30:45 2010
>       Raid Level : raid1
>       Array Size : 39080512 (37.27 GiB 40.02 GB)
>    Used Dev Size : 39080512 (37.27 GiB 40.02 GB)
>     Raid Devices : 2
>    Total Devices : 2
> Preferred Minor : 127
>      Persistence : Superblock is persistent
>
>      Update Time : Mon Jul 11 22:53:09 2011
>            State : clean
>   Active Devices : 2
> Working Devices : 2
>   Failed Devices : 0
>    Spare Devices : 0
>
>             UUID : 2c05f51b:dc8b44d7:9d4deba6:47ca997f (local to host debian)
>           Events : 0.395
>
>      Number   Major   Minor   RaidDevice State
>         0       8        1        0      active sync   /dev/sda1
>         1       8       17        1      active sync   /dev/sdb1
>
> root@debian:/home/michael# cat /etc/mdadm/mdadm.conf
> # mdadm.conf
> #
> # Please refer to mdadm.conf(5) for information about this file.
> #
>
> # by default, scan all partitions (/proc/partitions) for MD superblocks.
> # alternatively, specify devices to scan, using wildcards if desired.
> DEVICE /dev/sd??*
>
> # auto-create devices with Debian standard permissions
> CREATE owner=root group=disk mode=0660 auto=yes
>
> # automatically tag new arrays as belonging to the local system
> HOMEHOST<system>
>
> # instruct the monitoring daemon where to send mail alerts
> MAILADDR root
>
> # definitions of existing MD arrays
>
> # This file was auto-generated on Wed, 07 Jul 2010 11:32:41 +0800
> # by mkconf 3.0.3-2
> root@debian:/home/michael# update-grub
> error: superfluous RAID member (2 found).
> error: superfluous RAID member (2 found).
> Generating grub.cfg ...
> error: superfluous RAID member (2 found).
> error: superfluous RAID member (2 found).
> error: superfluous RAID member (2 found).
> error: superfluous RAID member (2 found).
> error: superfluous RAID member (2 found).
> error: superfluous RAID member (2 found).
> error: superfluous RAID member (2 found).
> error: superfluous RAID member (2 found).
> error: superfluous RAID member (2 found).
> error: superfluous RAID member (2 found).
> error: superfluous RAID member (2 found).
> error: superfluous RAID member (2 found).
> error: superfluous RAID member (2 found).
> error: superfluous RAID member (2 found).
> error: superfluous RAID member (2 found).
> Found background image: /usr/share/images/desktop-base/desktop-grub.png
> error: superfluous RAID member (2 found).
> Found linux image: /boot/vmlinuz-2.6.39-2-amd64
> Found initrd image: /boot/initrd.img-2.6.39-2-amd64
> error: superfluous RAID member (2 found).
> error: superfluous RAID member (2 found).
> error: superfluous RAID member (2 found).
> error: superfluous RAID member (2 found).
> error: superfluous RAID member (2 found).
> error: superfluous RAID member (2 found).
> error: superfluous RAID member (2 found).
> error: superfluous RAID member (2 found).
> error: superfluous RAID member (2 found).
> File descriptor 4 (/dev/urandom) leaked on lvs invocation. Parent PID 21466:
> /bin/sh
> done
> root@debian:/home/michael#
>
>
>
> -- Package-specific info:
>
> *********************** BEGIN /proc/mounts
> /dev/mapper/vg0-ubuntu / ext3 rw,relatime,errors=remount-ro,commit=5,barrier=0,data=ordered 0 0
> /dev/sdc2 /boot/grub ext2 rw,relatime,errors=continue 0 0
> /dev/mapper/vg0-home /home ext4 rw,nosuid,nodev,relatime,user_xattr,acl,barrier=1,data=ordered 0 0
> /dev/md127 /srv ext4 rw,nosuid,nodev,relatime,user_xattr,acl,barrier=1,data=ordered 0 0
> *********************** END /proc/mounts
>
> *********************** BEGIN /boot/grub/device.map
> (fd0)	/dev/fd0
> (hd0)	/dev/disk/by-id/ata-ST3160811AS_5PT125EP
> (hd1)	/dev/disk/by-id/ata-SAMSUNG_HD161HJ_S0V3J90P624967
> (hd2)	/dev/disk/by-id/ata-Maxtor_6Y120P0_Y32HL0DE
> (hd3)	/dev/disk/by-id/ata-ST340810A_5FBABL0Q
> *********************** END /boot/grub/device.map
>
> *********************** BEGIN /boot/grub/grub.cfg
> #
> # DO NOT EDIT THIS FILE
> #
> # It is automatically generated by grub-mkconfig using templates
> # from /etc/grub.d and settings from /etc/default/grub
> #
>
> ### BEGIN /etc/grub.d/00_header ###
> if [ -s $prefix/grubenv ]; then
>    load_env
> fi
> set default="0"
> if [ "${prev_saved_entry}" ]; then
>    set saved_entry="${prev_saved_entry}"
>    save_env saved_entry
>    set prev_saved_entry=
>    save_env prev_saved_entry
>    set boot_once=true
> fi
>
> function savedefault {
>    if [ -z "${boot_once}" ]; then
>      saved_entry="${chosen}"
>      save_env saved_entry
>    fi
> }
>
> function load_video {
>    insmod vbe
>    insmod vga
>    insmod video_bochs
>    insmod video_cirrus
> }
>
> insmod lvm
> insmod part_msdos
> insmod part_msdos
> insmod part_msdos
> insmod ext2
> set root='(vg0-ubuntu)'
> search --no-floppy --fs-uuid --set=root f341a5aa-fc1b-4395-9e5a-80ee0617da71
> if loadfont /usr/share/grub/unicode.pf2 ; then
>    set gfxmode=1280x1024
>    load_video
>    insmod gfxterm
>    insmod part_msdos
>    insmod ext2
>    set root='(hd0,msdos2)'
>    search --no-floppy --fs-uuid --set=root b932abb1-e4dd-4c33-b49c-375aed1930c7
>    set locale_dir=($root)/locale
>    set lang=en_HK
>    insmod gettext
> fi
> terminal_output gfxterm
> set timeout=5
> ### END /etc/grub.d/00_header ###
>
> ### BEGIN /etc/grub.d/05_debian_theme ###
> insmod lvm
> insmod part_msdos
> insmod part_msdos
> insmod part_msdos
> insmod ext2
> set root='(vg0-ubuntu)'
> search --no-floppy --fs-uuid --set=root f341a5aa-fc1b-4395-9e5a-80ee0617da71
> insmod png
> if background_image /usr/share/images/desktop-base/spacefun-grub.png; then
>    set color_normal=light-gray/black
>    set color_highlight=white/black
> else
>    set menu_color_normal=cyan/blue
>    set menu_color_highlight=white/blue
> fi
> ### END /etc/grub.d/05_debian_theme ###
>
> ### BEGIN /etc/grub.d/10_linux ###
> menuentry 'Debian GNU/Linux, with Linux 2.6.39-2-amd64' --class debian --class gnu-linux --class gnu --class os {
> 	insmod gzio
> 	insmod lvm
> 	insmod part_msdos
> 	insmod part_msdos
> 	insmod part_msdos
> 	insmod ext2
> 	set root='(vg0-ubuntu)'
> 	search --no-floppy --fs-uuid --set=root f341a5aa-fc1b-4395-9e5a-80ee0617da71
> 	echo	'Loading Linux 2.6.39-2-amd64 ...'
> 	linux	/boot/vmlinuz-2.6.39-2-amd64 root=/dev/mapper/vg0-ubuntu ro  quiet splash
> 	echo	'Loading initial ramdisk ...'
> 	initrd	/boot/initrd.img-2.6.39-2-amd64
> }
> menuentry 'Debian GNU/Linux, with Linux 2.6.39-2-amd64 (recovery mode)' --class debian --class gnu-linux --class gnu --class os {
> 	insmod gzio
> 	insmod lvm
> 	insmod part_msdos
> 	insmod part_msdos
> 	insmod part_msdos
> 	insmod ext2
> 	set root='(vg0-ubuntu)'
> 	search --no-floppy --fs-uuid --set=root f341a5aa-fc1b-4395-9e5a-80ee0617da71
> 	echo	'Loading Linux 2.6.39-2-amd64 ...'
> 	linux	/boot/vmlinuz-2.6.39-2-amd64 root=/dev/mapper/vg0-ubuntu ro single
> 	echo	'Loading initial ramdisk ...'
> 	initrd	/boot/initrd.img-2.6.39-2-amd64
> }
> ### END /etc/grub.d/10_linux ###
>
> ### BEGIN /etc/grub.d/20_linux_xen ###
> ### END /etc/grub.d/20_linux_xen ###
>
> ### BEGIN /etc/grub.d/20_memtest86+ ###
> ### END /etc/grub.d/20_memtest86+ ###
>
> ### BEGIN /etc/grub.d/30_os-prober ###
> ### END /etc/grub.d/30_os-prober ###
>
> ### BEGIN /etc/grub.d/40_custom ###
> # This file provides an easy way to add custom menu entries.  Simply type the
> # menu entries you want to add after this comment.  Be careful not to change
> # the 'exec tail' line above.
> ### END /etc/grub.d/40_custom ###
>
> ### BEGIN /etc/grub.d/41_custom ###
> if [ -f  $prefix/custom.cfg ]; then
>    source $prefix/custom.cfg;
> fi
> ### END /etc/grub.d/41_custom ###
> *********************** END /boot/grub/grub.cfg
>
> *********************** BEGIN /proc/mdstat
> Personalities : [raid1]
> md127 : active raid1 sda1[0] sdb1[1]
>        39080512 blocks [2/2] [UU]
>
> unused devices:<none>
> *********************** END /proc/mdstat
>
> *********************** BEGIN LVM
>    --- Volume group ---
>    VG Name               vg0
>    System ID
>    Format                lvm2
>    Metadata Areas        3
>    Metadata Sequence No  112
>    VG Access             read/write
>    VG Status             resizable
>    MAX LV                0
>    Cur LV                3
>    Open LV               3
>    Max PV                0
>    Cur PV                3
>    Act PV                3
>    VG Size               375.31 GiB
>    PE Size               4.00 MiB
>    Total PE              96080
>    Alloc PE / Size       96080 / 375.31 GiB
>    Free  PE / Size       0 / 0
>    VG UUID               jfdlEu-lZha-xdfK-38Of-zI4K-9fCE-9FRlsx
>
>    --- Physical volume ---
>    PV Name               /dev/sdd1
>    VG Name               vg0
>    PV Size               149.05 GiB / not usable 987.50 KiB
>    Allocatable           yes (but full)
>    PE Size               4.00 MiB
>    Total PE              38156
>    Free PE               0
>    Allocated PE          38156
>    PV UUID               NdcTvC-baWb-B9lQ-0PYu-sEY6-c01S-ii4uWy
>
>    --- Physical volume ---
>    PV Name               /dev/sdc1
>    VG Name               vg0
>    PV Size               149.04 GiB / not usable 3.62 MiB
>    Allocatable           yes (but full)
>    PE Size               4.00 MiB
>    Total PE              38154
>    Free PE               0
>    Allocated PE          38154
>    PV UUID               7O6DEA-dzsC-2Vo9-34KP-3zTQ-W8HT-fE1Alz
>
>    --- Physical volume ---
>    PV Name               /dev/sda2
>    VG Name               vg0
>    PV Size               77.23 GiB / not usable 1.29 MiB
>    Allocatable           yes (but full)
>    PE Size               4.00 MiB
>    Total PE              19770
>    Free PE               0
>    Allocated PE          19770
>    PV UUID               a3YmdI-HM8T-SZbb-00D1-BYlG-LSxE-k25gs3
>
>    --- Logical volume ---
>    LV Name                /dev/vg0/home
>    VG Name                vg0
>    LV UUID                XE4yXP-0hXe-91Ue-cEwV-ePbP-VtMv-S2DYU0
>    LV Write Access        read/write
>    LV Status              available
>    # open                 1
>    LV Size                348.69 GiB
>    Current LE             89264
>    Segments               5
>    Allocation             normal
>    Read ahead sectors     auto
>    - currently set to     256
>    Block device           254:1
>
>    --- Logical volume ---
>    LV Name                /dev/vg0/ubuntu
>    VG Name                vg0
>    LV UUID                a3MxkZ-aWb6-fops-z98p-dPPB-qkZQ-28DZB2
>    LV Write Access        read/write
>    LV Status              available
>    # open                 1
>    LV Size                18.62 GiB
>    Current LE             4768
>    Segments               3
>    Allocation             normal
>    Read ahead sectors     auto
>    - currently set to     256
>    Block device           254:0
>
>    --- Logical volume ---
>    LV Name                /dev/vg0/swap
>    VG Name                vg0
>    LV UUID                hPi7eO-OuEz-dEQW-KR43-AqaH-dMeD-6XZB6n
>    LV Write Access        read/write
>    LV Status              available
>    # open                 2
>    LV Size                8.00 GiB
>    Current LE             2048
>    Segments               2
>    Allocation             inherit
>    Read ahead sectors     auto
>    - currently set to     256
>    Block device           254:2
>
> *********************** END LVM
>
> *********************** BEGIN /dev/disk/by-id
> total 0
> lrwxrwxrwx 1 root root  9 Jul 11 22:41 ata-HL-DT-ST_DVDRAM_GSA-H62N_K58789D4411 ->  ../../sr0
> lrwxrwxrwx 1 root root  9 Jul 11 08:04 ata-Maxtor_6Y120P0_Y32HL0DE ->  ../../sda
> lrwxrwxrwx 1 root root 10 Jul 11 08:04 ata-Maxtor_6Y120P0_Y32HL0DE-part1 ->  ../../sda1
> lrwxrwxrwx 1 root root 10 Jul 11 08:05 ata-Maxtor_6Y120P0_Y32HL0DE-part2 ->  ../../sda2
> lrwxrwxrwx 1 root root  9 Jul 11 08:04 ata-SAMSUNG_HD161HJ_S0V3J90P624967 ->  ../../sdd
> lrwxrwxrwx 1 root root 10 Jul 11 08:05 ata-SAMSUNG_HD161HJ_S0V3J90P624967-part1 ->  ../../sdd1
> lrwxrwxrwx 1 root root  9 Jul 11 08:05 ata-ST3160811AS_5PT125EP ->  ../../sdc
> lrwxrwxrwx 1 root root 10 Jul 11 08:05 ata-ST3160811AS_5PT125EP-part1 ->  ../../sdc1
> lrwxrwxrwx 1 root root 10 Jul 11 08:05 ata-ST3160811AS_5PT125EP-part2 ->  ../../sdc2
> lrwxrwxrwx 1 root root  9 Jul 11 08:04 ata-ST340810A_5FBABL0Q ->  ../../sdb
> lrwxrwxrwx 1 root root 10 Jul 11 08:04 ata-ST340810A_5FBABL0Q-part1 ->  ../../sdb1
> lrwxrwxrwx 1 root root 10 Jul 11 08:04 dm-name-vg0-home ->  ../../dm-1
> lrwxrwxrwx 1 root root 10 Jul 11 08:04 dm-name-vg0-swap ->  ../../dm-2
> lrwxrwxrwx 1 root root 10 Jul 10 23:15 dm-name-vg0-ubuntu ->  ../../dm-0
> lrwxrwxrwx 1 root root 10 Jul 11 08:04 dm-uuid-LVM-jfdlEulZhaxdfK38OfzI4K9fCE9FRlsxXE4yXP0hXe91UecEwVePbPVtMvS2DYU0 ->  ../../dm-1
> lrwxrwxrwx 1 root root 10 Jul 10 23:15 dm-uuid-LVM-jfdlEulZhaxdfK38OfzI4K9fCE9FRlsxa3MxkZaWb6fopsz98pdPPBqkZQ28DZB2 ->  ../../dm-0
> lrwxrwxrwx 1 root root 10 Jul 11 08:04 dm-uuid-LVM-jfdlEulZhaxdfK38OfzI4K9fCE9FRlsxhPi7eOOuEzdEQWKR43AqaHdMeD6XZB6n ->  ../../dm-2
> lrwxrwxrwx 1 root root 11 Jul 11 08:04 md-uuid-2c05f51b:dc8b44d7:9d4deba6:47ca997f ->  ../../md127
> lrwxrwxrwx 1 root root  9 Jul 11 08:04 scsi-SATA_Maxtor_6Y120P0_Y32HL0DE ->  ../../sda
> lrwxrwxrwx 1 root root 10 Jul 11 08:04 scsi-SATA_Maxtor_6Y120P0_Y32HL0DE-part1 ->  ../../sda1
> lrwxrwxrwx 1 root root 10 Jul 11 08:05 scsi-SATA_Maxtor_6Y120P0_Y32HL0DE-part2 ->  ../../sda2
> lrwxrwxrwx 1 root root  9 Jul 11 08:04 scsi-SATA_SAMSUNG_HD161HJS0V3J90P624967 ->  ../../sdd
> lrwxrwxrwx 1 root root 10 Jul 11 08:05 scsi-SATA_SAMSUNG_HD161HJS0V3J90P624967-part1 ->  ../../sdd1
> lrwxrwxrwx 1 root root  9 Jul 11 08:05 scsi-SATA_ST3160811AS_5PT125EP ->  ../../sdc
> lrwxrwxrwx 1 root root 10 Jul 11 08:05 scsi-SATA_ST3160811AS_5PT125EP-part1 ->  ../../sdc1
> lrwxrwxrwx 1 root root 10 Jul 11 08:05 scsi-SATA_ST3160811AS_5PT125EP-part2 ->  ../../sdc2
> lrwxrwxrwx 1 root root  9 Jul 11 08:04 scsi-SATA_ST340810A_5FBABL0Q ->  ../../sdb
> lrwxrwxrwx 1 root root 10 Jul 11 08:04 scsi-SATA_ST340810A_5FBABL0Q-part1 ->  ../../sdb1
> lrwxrwxrwx 1 root root  9 Jul 11 08:04 wwn-0x50000f009b624967 ->  ../../sdd
> lrwxrwxrwx 1 root root 10 Jul 11 08:05 wwn-0x50000f009b624967-part1 ->  ../../sdd1
> *********************** END /dev/disk/by-id
>
> *********************** BEGIN /dev/disk/by-uuid
> total 0
> lrwxrwxrwx 1 root root 10 Jul 11 08:04 30403406-d567-4e61-b9e0-3b3389d68ee0 ->  ../../dm-1
> lrwxrwxrwx 1 root root 10 Jul 11 08:04 3e196228-2b67-41c2-ab5b-8062e5fed68c ->  ../../dm-2
> lrwxrwxrwx 1 root root 11 Jul 11 08:04 499dfc16-1292-4095-9750-6ddc43c3391d ->  ../../md127
> lrwxrwxrwx 1 root root 10 Jul 11 08:05 b932abb1-e4dd-4c33-b49c-375aed1930c7 ->  ../../sdc2
> lrwxrwxrwx 1 root root 10 Jul 10 23:15 f341a5aa-fc1b-4395-9e5a-80ee0617da71 ->  ../../dm-0
> *********************** END /dev/disk/by-uuid
>
> -- System Information:
> Debian Release: wheezy/sid
>    APT prefers testing
>    APT policy: (990, 'testing'), (500, 'unstable')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 2.6.39-2-amd64 (SMP w/2 CPU cores)
> Locale: LANG=en_HK.UTF-8, LC_CTYPE=en_HK.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
>
> Versions of packages grub-pc depends on:
> ii  debconf [debconf-2.0]        1.5.40      Debian configuration management sy
> ii  grub-common                  1.99-6      GRand Unified Bootloader (common f
> ii  grub-pc-bin                  1.99-6      GRand Unified Bootloader, version
> ii  grub2-common                 1.99-6      GRand Unified Bootloader (common f
> ii  ucf                          3.0025+nmu2 Update Configuration File: preserv
>
> grub-pc recommends no packages.
>
> grub-pc suggests no packages.
>
> -- debconf information:
>    grub2/kfreebsd_cmdline:
> * grub2/device_map_regenerated:
> * grub2/linux_cmdline:
>    grub-pc/install_devices_empty: false
>    grub-pc/install_devices_failed: false
>    grub-pc/chainload_from_menu.lst: true
>    grub-pc/kopt_extracted: false
> * grub-pc/install_devices: /dev/disk/by-id/ata-ST3160811AS_5PT125EP
>    grub-pc/postrm_purge_boot_grub: false
>    grub-pc/install_devices_failed_upgrade: true
>    grub-pc/disk_description:
>    grub2/kfreebsd_cmdline_default: quiet
>    grub-pc/partition_description:
>    grub-pc/install_devices_disks_changed:
> * grub2/linux_cmdline_default: quiet splash
>    grub-pc/mixed_legacy_and_grub2: true
>
>
>
> _______________________________________________
> Pkg-grub-devel mailing list
> Pkg-grub-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grub-devel
>


-- 
Regards
Vladimir 'φ-coder/phcoder' Serbinenko





Added indication that bug 610184 blocks 691046 Request was from Luca Capello <luca@pca.it> to submit@bugs.debian.org. (Sat, 20 Oct 2012 17:09:04 GMT) Full text and rfc822 format available.

Removed indication that bug 610184 blocks 691046 Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Wed, 17 Jul 2013 12:06:11 GMT) Full text and rfc822 format available.

Removed indication that bug 610184 blocks Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Wed, 17 Jul 2013 12:06:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:20:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.